Codex.Events = {}
Codex.Events.APH = 0
Codex.Events.TimerStarted = false
Codex.Events.GameInitTime = GetGameTimeMilliseconds()
Codex.Events.TimeElapsed = 0
function Codex.Events:Initialize()
	EVENT_MANAGER:RegisterForEvent("Codex_Events", EVENT_ARTIFACT_CONTROL_STATE , function(...) self:onArtifactControlStateChanged(...) end);
	EVENT_MANAGER:RegisterForEvent("Codex_Events", EVENT_CORONATE_EMPEROR_NOTIFICATION , function(...) self:onCoronateEmperor(...) end);
	
	EVENT_MANAGER:RegisterForEvent("Codex_Events", EVENT_PLAYER_DEAD , function(...) self:onPlayerDeath(...) end);
	EVENT_MANAGER:RegisterForEvent("Codex_Events", EVENT_COMBAT_EVENT , function(...) self:onPlayerKilled(...) end);
	EVENT_MANAGER:RegisterForEvent("Codex_Events", EVENT_AVENGE_KILL , function(...) self:onAvengeKill(...) end);
	EVENT_MANAGER:RegisterForEvent("Codex_Events", EVENT_REVENGE_KILL , function(...) self:onRevengeKill(...) end);

	EVENT_MANAGER:RegisterForEvent("Codex_Events", EVENT_KEEP_ALLIANCE_OWNER_CHANGED , function(...) self:onKeepCaptured(...) end);
	EVENT_MANAGER:RegisterForEvent("Codex_Events", EVENT_KEEP_UNDER_ATTACK_CHANGED , function(...) self:onKeepDefended(...) end);

	EVENT_MANAGER:RegisterForEvent('Codex_Events', EVENT_RETICLE_TARGET_CHANGED, function(...) self:onTargetChanged(...) end);
	EVENT_MANAGER:RegisterForEvent('Codex_Events', EVENT_MOUSEOVER_CHANGED, function(...) self:onTargetChanged(...) end);
	EVENT_MANAGER:RegisterForEvent('Codex_Events', EVENT_DISPOSITION_UPDATE, function(...) self:onTargetChanged(...) end);

	EVENT_MANAGER:RegisterForEvent('Codex_Events_CombatEvents', EVENT_COMBAT_EVENT, function(...) self:onCombatEvent(...) end);
	EVENT_MANAGER:RegisterForEvent('Codex_Events', EVENT_ALLIANCE_POINT_UPDATE, function(...) self:OnAlliancePointUpdate(...) end);

	EVENT_MANAGER:RegisterForEvent('Codex_Events', EVENT_ACTION_LAYER_PUSHED, function(eventID, layerIndex, activeLayerIndex) 
	--	CodexUI:SetHidden(true)
	--	Codex.isOpen = false
	end);
end

Codex.Events.isInAStreak = false
Codex.Events.KillStreak = 0
Codex.Events.Units = {}
Codex.Events.LastKill = {}
Codex.Events.HistoryDamages = {}
Codex.Events.HistoryKills = {}

function Codex.Events:onTargetChanged()
	if not DoesUnitExist('reticleover') then return	end

	if ( IsUnitPlayer('reticleover') ) then
		local playerName = GetUnitName('reticleover')
		local playerClass = GetUnitClassId('reticleover')
		local playerAlliance = GetUnitAlliance('reticleover')

		if playerAlliance ~= GetUnitAlliance('player') then
			if Codex.Events.Units[playerName] then
				-- do nothing
			else
				Codex:DebugMessage("Player '" .. playerName .."' added to temporary database")
				Codex.Events.Units[playerName] = {class = playerClass, alliance = playerAlliance}
			end
		end
	end
end

function Codex.Events:onAvengeKill( eventID, avengedPlayerName, killedPlayerName )
	avengedPlayerName = avengedPlayerName:gsub("%^.*x$","")
	killedPlayerName = killedPlayerName:gsub("%^.*x$","")
	Codex:DebugMessage("Function onAvengeKill called, with eventID: " .. eventID)	
	Codex:DebugMessage("Avenged Player: " .. avengedPlayerName)	
	Codex:DebugMessage("Player Killed: " .. killedPlayerName)	
	


	if Codex.Events.Units[killedPlayerName] then	
		if Codex.Events:playerExist(killedPlayerName) then
			-- Player already in database, update it
			Codex.Events:updatePlayer(killedPlayerName, 'avenge', 1)
			Codex:DebugMessage("Player found in the database - Action: Update '".. killedPlayerName .."' - AvengeKill +1")	
		else
			Codex.Events:insertPlayer(killedPlayerName, 0, 0, 1, 0, Codex.Events.Units[killedPlayerName].class, Codex.Events.Units[killedPlayerName].alliance)
			Codex:DebugMessage("Player not found in the database - Action: CreateRow '".. killedPlayerName .."' - AvengeKill +1")	
		end
	end
end

function Codex.Events:onRevengeKill( eventID, killedPlayerName )
	killedPlayerName = killedPlayerName:gsub("%^.*x$","")
	Codex:DebugMessage("Function onRevengeKill called, with eventID: " .. eventID)	
	Codex:DebugMessage("Player Killed: " .. killedPlayerName)	


	if Codex.Events.Units[killedPlayerName] then	
		if Codex.Events:playerExist(killedPlayerName) then
			-- Player already in database, update it
			Codex.Events:updatePlayer(killedPlayerName, 'revenge', 1)
			Codex:DebugMessage("Player found in the database - Action: Update '".. killedPlayerName .."' - RevengeKill +1")	
		else
			Codex.Events:insertPlayer(killedPlayerName, 0, 0, 0, 1, Codex.Events.Units[killedPlayerName].class, Codex.Events.Units[killedPlayerName].alliance)
			Codex:DebugMessage("Player not found in the database - Action: CreateRow '".. killedPlayerName .."' - RevengeKill +1")	
		end
	end


end


function Codex.Events:onPlayerKilled(eventCode , result , isError , abilityName, abilityGraphic, abilityActionSlotType, sourceName, sourceType, targetName, targetType, hitValue, powerType, damageType, log)
	if result == ACTION_RESULT_KILLING_BLOW and sourceType == COMBAT_UNIT_TYPE_PLAYER and GetUnitName("player") == zo_strformat("<<1>>", sourceName) then
		--[[if Codex.Events.LastKill[targetName] and Codex.Events.LastKill[targetName] == 'killed' then
			return
		else
			Codex.Events.LastKill[targetName] = "killed"
			zo_callLater(function() Codex.Events.LastKill[targetName] = "none" end, 30000)
		end
		--]]

		if hitValue == 0 then return end
		if zo_strformat("<<1>>", sourceName) == zo_strformat("<<1>>", targetName) then return end
		local player_name = string.Split(targetName, "^")[1]

		if Codex.Events.Units[player_name] then	
			if Codex.Events:playerExist(player_name) then
				-- Player already in database, update it
				Codex.Events:updatePlayer(player_name, 'killed', 1)
				Codex:DebugMessage("Player found in the database - Action: Update '".. player_name .."' - Killed +1")	
			else
				Codex.Events:insertPlayer(player_name, 1, 0, 0, 0, Codex.Events.Units[player_name].class, Codex.Events.Units[player_name].alliance)
				Codex:DebugMessage("Player not found in the database - Action: CreateRow '".. player_name .."' - Killed +1")	
			end

			-- Codex.Tabs.Kills:refreshPlayer(player_name)
			Codex.Events.KillStreak = Codex.Events.KillStreak + 1

			if Codex.Events.KillStreak > Codex.Settings.SavedVars.Combats_Stats.KillStreak then
				Codex.Settings.SavedVars.Combats_Stats.KillStreak = Codex.Events.KillStreak
				Codex:DebugMessage("Kill Streak Counter - Action: IncreaseValue - +1")	
			end
			
			local emperorAlliance, emperorName = GetCampaignEmperorInfo(GetCurrentCampaignId())
			if zo_strformat("<<1>>", targetName) == emperorName then
				Codex.Settings.SavedVars.Empire_Stats.Emperor_killed = Codex.Settings.SavedVars.Empire_Stats.Emperor_killed + 1
			end

			Codex.Settings.SavedVars.Combats_Stats.Kills = Codex.Settings.SavedVars.Combats_Stats.Kills + 1
			Codex.Session.PlayerKilled = Codex.Session.PlayerKilled + 1	
			Codex.Tabs.Overview:updateUI()

		--[[
			table.insert(Codex.Events.HistoryKills, {playerName = player_name, alliance = Codex.Events.Units[player_name].alliance, class = Codex.Events.Units[player_name].class, time = GetTimeStamp()})	
			Codex.Tabs.LastKills:setValue(Codex.Events.HistoryKills)
		--]]
			
		end
	end
end

Codex.Events.LastKeepCaputred = nil
function Codex.Events:onKeepCaptured( eventID, argKeepID, oldAlliance, newAlliance) 
	if newAlliance == GetUnitAlliance("player") then 
		Codex:DebugMessage("Function: onKeepCaptured - Called with eventID: ".. eventID)	
		Codex:DebugMessage("Player Alliance: "..GetUnitAlliance('player') .. " - newKeepAlliance: " .. newAlliance)
		if Codex.RvRLib:PlayerIsNearKeepID(argKeepID,AREA_SQUARE) then
			if Codex.RvRLib:getKeepType(argKeepID) == CKEEPTYPE_KEEP_OUTPOST then
				-- Add +1 to the Outpost capture counter and refresh the label 'TAB_OVERVIEW_BOTTOM_OUTPOST_LABEL'
				Codex.Settings.SavedVars.RvR_Stats.OUTPOST.Captured = Codex.Settings.SavedVars.RvR_Stats.OUTPOST.Captured + 1
				TAB_OVERVIEW_BOTTOM_OUTPOST_LABEL:SetText("x ".. Codex.Settings.SavedVars.RvR_Stats.OUTPOST.Captured)	
				
				Codex:DebugMessage("Keep Captured - Action: IncreaseValue - +1 to 'OUTPOST' Captured")
				
			elseif Codex.RvRLib:getKeepType(argKeepID) == CKEEPTYPE_KEEP_RESSOURCE then
				-- Add +1 to the Ressource capture counter and refresh the label 'TAB_OVERVIEW_BOTTOM_RESSOURCES_LABEL'
				Codex.Settings.SavedVars.RvR_Stats.RESSOURCE.Captured = Codex.Settings.SavedVars.RvR_Stats.RESSOURCE.Captured + 1
				TAB_OVERVIEW_BOTTOM_RESSOURCES_LABEL:SetText("x ".. Codex.Settings.SavedVars.RvR_Stats.RESSOURCE.Captured)
				
				Codex:DebugMessage("Keep Captured - Action: IncreaseValue - +1 to 'RESSOURCE' Captured")
			elseif Codex.RvRLib:getKeepType(argKeepID) == CKEEPTYPE_KEEP then
				-- Add +1 to the Keep capture counter and refresh the label 'TAB_OVERVIEW_BOTTOM_KEEPS_LABEL'
				Codex.Settings.SavedVars.RvR_Stats.KEEP.Captured = Codex.Settings.SavedVars.RvR_Stats.KEEP.Captured + 1
				TAB_OVERVIEW_BOTTOM_KEEPS_LABEL:SetText("x ".. Codex.Settings.SavedVars.RvR_Stats.KEEP.Captured)

				Codex:DebugMessage("Keep Captured - Action: IncreaseValue - +1 to 'KEEP' Captured")
			else
				Codex:DebugMessage("|cBB0000ERROR: Unknown keepType, please repport this message with the keepID")
				Codex:DebugMessage("|cBB0000KeepID: ".. argKeepID)
			end					
		end
	end
	Codex.Events.LastKeepCaputred = argKeepID
	zo_callLater(function() Codex.Events.LastKeepCaputred = nil end, 30000) 
end

Codex.Events.LastKeepDefended = nil
function Codex.Events:onKeepDefended(eventID, argKeepID, Status)
	if Codex.Events.LastKeepCaputred == argKeepID then return end
	zo_callLater(function() Codex.Events.LastKeepCaputred = nil end, 30000) 
	local CurrentBattlegroundContext = Codex.RvRLib:getBattlegroundContext()	
	if GetKeepUnderAttack(argKeepID,CurrentBattlegroundContext) then return end
	local keepAlliance = GetKeepAlliance(argKeepID, CurrentBattlegroundContext)
	if keepAlliance ~= GetUnitAlliance('player') then return end
	
	if Codex.RvRLib:PlayerIsNearKeepID(argKeepID,AREA_SQUARE) then
		Codex:DebugMessage("Function: onKeepDefended - Called with eventID: ".. eventID)	
		Codex:DebugMessage("Player Alliance: "..GetUnitAlliance('player') .. " - keepAlliance " .. GetKeepAlliance(argKeepID, CurrentBattlegroundContext))
	
		if Codex.RvRLib:getKeepType(argKeepID) == CKEEPTYPE_KEEP_OUTPOST then
			-- Add +1 to the Outpost defence counter and refresh the label 'TAB_OVERVIEW_BOTTOM_OUTPOST_DEFEND'
			Codex.Settings.SavedVars.RvR_Stats.OUTPOST.Defended = Codex.Settings.SavedVars.RvR_Stats.OUTPOST.Defended + 1
			TAB_OVERVIEW_BOTTOM_OUTPOST_DEFEND:SetText("x ".. Codex.Settings.SavedVars.RvR_Stats.OUTPOST.Defended)	
			
			Codex:DebugMessage("Keep Defended - Action: IncreaseValue - +1 to 'OUTPOST' Defended")
		elseif Codex.RvRLib:getKeepType(argKeepID) == CKEEPTYPE_KEEP_RESSOURCE then
			-- Add +1 to the Ressource defence counter and refresh the label 'TAB_OVERVIEW_BOTTOM_RESSOURCES_LABEL_DEFEND'
			Codex.Settings.SavedVars.RvR_Stats.RESSOURCE.Defended = Codex.Settings.SavedVars.RvR_Stats.RESSOURCE.Defended + 1
			TAB_OVERVIEW_BOTTOM_RESSOURCES_LABEL_DEFEND:SetText("x ".. Codex.Settings.SavedVars.RvR_Stats.RESSOURCE.Defended)
			
			Codex:DebugMessage("Keep Defended - Action: IncreaseValue - +1 to 'RESSOURCE' Defended")
		elseif Codex.RvRLib:getKeepType(argKeepID) == CKEEPTYPE_KEEP then
			-- Add +1 to the Keep defence counter and refresh the label 'TAB_OVERVIEW_BOTTOM_KEEPS_LABEL_DEFEND'
			Codex.Settings.SavedVars.RvR_Stats.KEEP.Defended = Codex.Settings.SavedVars.RvR_Stats.KEEP.Defended + 1
			TAB_OVERVIEW_BOTTOM_KEEPS_LABEL_DEFEND:SetText("x ".. Codex.Settings.SavedVars.RvR_Stats.KEEP.Defended)		
			
			Codex:DebugMessage("Keep Defended - Action: IncreaseValue - +1 to 'KEEP' Defended")
		else
			Codex:DebugMessage("|cBB0000ERROR: Unknown keepType, please repport this message with the keepID")
			Codex:DebugMessage("|cBB0000KeepID: ".. argKeepID)
		end					
	end
end

function Codex.Events:onCoronateEmperor(eventID, campaignId, emperorName, emperorAlliance) 
	if(campaignId == GetAssignedCampaignId()) then
		if emperorName == GetUnitName("player") then
			Codex.Settings.SavedVars.Empire_Stats.Crowned = Codex.Settings.SavedVars.Empire_Stats.Crowned + 1
			Codex.Tabs.Overview:updateUI()
		end
	end
end

function Codex.Events:onArtifactControlStateChanged(eventID,  artifactName, keepId, playerName, playerAlliance, controlEvent, controlState, campaignId) 	
	local LocalPlayer = GetUnitName("player")
	if controlEvent == OBJECTIVE_CONTROL_EVENT_CAPTURED  then
		if  LocalPlayer == playerName then
			Codex.Settings.SavedVars.RvR_Stats.SCROLL.Captured = Codex.Settings.SavedVars.RvR_Stats.SCROLL.Captured + 1
			TAB_OVERVIEW_BOTTOM_SCROLLS_LABEL:SetText("x ".. Codex.Settings.SavedVars.RvR_Stats.SCROLL.Captured)
		end
	end		
end

function Codex.Events:onPlayerDeath(eventID)
	if IsPlayerInAvAWorld() then
		Codex.Events.isInAStreak = false
		Codex.Events.KillStreak = 0

		Codex.Session.PlayerDeath = Codex.Session.PlayerDeath + 1
		Codex.Settings.SavedVars.Combats_Stats.Death = Codex.Settings.SavedVars.Combats_Stats.Death + 1
		Codex.Tabs.Overview:updateUI()

		local killerName, killerClass, killerLevel, killerLevel_Vet, isUnit, booltest2, killerAlliance = GetKillingAttackerInfo()
		killerName = killerName:gsub("%^.*x$","")
		if isUnit then
			local ClassID = 0
			if Codex.Events.Units[killerName] then	
				ClassID = Codex.Events.Units[killerName].class
			end		
			if Codex.Events:playerExist(killerName) then
				Codex.Events:updatePlayer(killerName, 'defeat', 1)
			else
				Codex.Events:insertPlayer(killerName, 0, 1, 0, 0, 0, killerAlliance)
			end

			if RvR_Tools then
				local PlayerName = RvR_Tools.Keep_Events:GetAllianceColor(killerAlliance) .. killerName .. "|r" 
				RvR_Tools.UI:AddNewMessage(Codex.Language:getPhrase('PlayerDeath', PlayerName))
			else
				d("|r" .. Codex.Language:getPhrase('PlayerDeath', killerName))
			end
		
			if Codex.Events.TimerStarted == false then
				Codex.Events.TimerStarted = true
				Codex.Events.GameInitTime = GetGameTimeMilliseconds()
			end
		end

	end	

end

function Codex.Events:onCombatEvent(eventID, result, isError, abilityName, abilityGraphic, abilityActionSlotType, sourceName, sourceType, targetName, targetType, hitValue, powerType, damageType, log) 
	if ( result == ACTION_RESULT_HEAL or result == ACTION_RESULT_CRITICAL_HEAL or result == ACTION_RESULT_HOT_TICK or result == ACTION_RESULT_HOT_TICK_CRITICAL ) then
		if( sourceName:gsub("%^.*x$","") == GetUnitName("player")) then
			Codex.Session.LifePointsHealed = Codex.Session.LifePointsHealed + hitValue
			Codex.Tabs.Overview:updateUI()
		end
	else
		if Codex.Events.Units[targetName] then
			--table.insert(Codex.Events.HistoryDamages, {targetName = targetName, abilityName = abilityName, hitValue = hitValue})
		end
	end



end

function Codex.Events:OnAlliancePointUpdate(eventID, alliancePoints, playSound, difference) 
	if difference < 0 then return end
    Codex.Session.AlliancePoints = Codex.Session.AlliancePoints + difference
	UTOS_AP:SetText(Codex.Language:getPhrase("TAB_OVERVIEW_SESSION_AP", Codex.Session.AlliancePoints) .. " " ..Codex.Language:getPhrase("TAB_OVERVIEW_SESSION_APH", '0'))

	if Codex.Events.TimerStarted == false then
		Codex.Events.TimerStarted = true
		Codex.Events.GameInitTime = GetGameTimeMilliseconds()
	end
	
end


function Codex.Events:onUpdate()

	if Codex.Events.TimerStarted then
		Codex.Events.TimeElapsed = (Codex.Events.TimeElapsed + GetGameTimeMilliseconds() - Codex.Events.GameInitTime) / 1000;

		local Hours = math.floor( Codex.Events.TimeElapsed / 3600);
		local Minutes = math.floor( ( Codex.Events.TimeElapsed - Hours * 3600) / 60 );
		local Seconds = Codex.Events.TimeElapsed % 60;

		CodexSessionUI_Timer:SetText(string.format("%02d", Hours) .. ':' .. string.format("%02d", Minutes) .. ':' .. string.format("%02d", Seconds))

		Codex.Session.APH = math.floor(1 * (3600 / Codex.Events.TimeElapsed * Codex.Session.AlliancePoints));
		UTOS_AP:SetText(Codex.Language:getPhrase("TAB_OVERVIEW_SESSION_AP", Codex.Session.AlliancePoints) .. " " ..Codex.Language:getPhrase("TAB_OVERVIEW_SESSION_APH", Codex.Session.APH))
		Codex.Tabs.Overview:SessionUI('updateText')
		UTOS_RESETBUTTON:SetEnabled(true)
	end	
end


function Codex.Events:resetSession()
	if RvR_Tools then
		RvR_Tools.UI:AddNewMessage(Codex.Language:getPhrase("TAB_OVERVIEW_SESSION_MESSAGERESET"), "MESSAGE_LOGBOX_AND_CENTERSCREEN")
	else
		d(Codex.Language:getPhrase("TAB_OVERVIEW_SESSION_MESSAGERESET"))
	end

	Codex.Events.TimerStarted = false
	Codex.Session.AlliancePoints = 0
	Codex.Session.APH = 0
	Codex.Session.PlayerKilled = 0
	Codex.Session.PlayerDeath = 0
	Codex.Session.LifePointsHealed = 0
	UTOS_AP:SetText(Codex.Language:getPhrase("TAB_OVERVIEW_SESSION_AP", Codex.Session.AlliancePoints) .. " " ..Codex.Language:getPhrase("TAB_OVERVIEW_SESSION_APH", Codex.Session.APH))
	Codex.Tabs.Overview:updateUI()	
	Codex.Tabs.Overview:SessionUI('updateText')
	UTOS_RESETBUTTON:SetEnabled(false)
end


function Codex.Events:insertPlayer(argPlayerName, argKilled, argDefeat, argAvenge, argRevenge, argClass, argAlliance)
	if self:playerExist(argPlayerName) then
		--
	else
		table.insert(Codex.Settings.SavedVars.Tables.KillList, {name = argPlayerName, killed = argKilled, defeat = argDefeat, avenge = argAvenge, revenge = argRevenge, class = argClass, alliance = argAlliance})
	end

end

function Codex.Events:updatePlayer( argPlayerName, argMemberToUpdate, argValue )
	for id, player in pairs(Codex.Settings.SavedVars.Tables.KillList) do
		if player.name == argPlayerName then
			if Codex.Settings.SavedVars.Tables.KillList[id][argMemberToUpdate] then
				Codex.Settings.SavedVars.Tables.KillList[id][argMemberToUpdate] = Codex.Settings.SavedVars.Tables.KillList[id][argMemberToUpdate] + argValue
			else
				Codex.Settings.SavedVars.Tables.KillList[id][argMemberToUpdate] = argValue
			end

			if Codex.Events.Units[argPlayerName] then
				Codex.Settings.SavedVars.Tables.KillList[id].class = Codex.Events.Units[argPlayerName].class
			end	
			break
		end
	end

end

function Codex.Events:deletePlayer( argPlayerName, ... )
	
end

function Codex.Events:getPlayerByName(argPlayerName)
	local player_to_return = {}
	for id, player in pairs(Codex.Settings.SavedVars.Tables.KillList) do
		if player.name == argPlayerName then
			player_to_return = player
			break
		end
	end
	return player_to_return
end


function Codex.Events:playerExist( argPlayerName )
	local playerExist = false
	for id, player in pairs(Codex.Settings.SavedVars.Tables.KillList) do
		if player.name == argPlayerName then
			playerExist = true
			break
		end
	end
	return playerExist
end


SLASH_COMMANDS["/foo"] = function (extra)
	Codex.Events:insertPlayer(extra, 1, 0, 0, 0, 1, 3)
end