
	Codex = {}
	TABS = {}

	Codex.Libraries = {}
	Codex.isOpen = false
	Codex.debugEnabled = false

	Codex.RvRLib = LibStub("RvRLib-1.0");

	Codex.Session = {}
	-- DEFINES TMPS VARS
		Codex.Session.PlayerKilled = 0
		Codex.Session.PlayerDeath = 0
		Codex.Session.AlliancePoints = 0
		Codex.Session.APH = 0
		Codex.Session.LifePointsHealed = 0
		
	local function Initialize_Libraries()
		Codex.Libraries.AddonMenu = LibStub("LibAddonMenu-1.1");
		Codex.Libraries.Animation = LibStub("LibAnimation-1.0");
	end
	
	local function Initialize_Modules()
	
		Codex.Settings:Initialize()
		Codex.Tabs:Initialize()
		Codex.Events:Initialize()
	    -- Codex.Menu:Initialize() 

		if Codex.Settings.SavedVars.version == 1 then
			if table.Count(Codex.Settings.SavedVars.Tables.PlayerKilled) > 0 then
				for key, value in pairs(Codex.Settings.SavedVars.Tables.PlayerKilled) do
					table.insert(Codex.Settings.SavedVars.Tables.KillList, {name = key, killed = value.killed, revenge = value.revenge, avenge = value.avenge, class = value.class, alliance = value.alliance})
				end	
				for key, value in pairs(Codex.Settings.SavedVars.Tables.PlayerKilled) do
					Codex.Settings.SavedVars.Tables.PlayerKilled[key] = nil
				end	

			end
			Codex.Settings.SavedVars.version = 2			
		end
		ZO_CreateStringId("SI_BINDING_NAME_TOGGLE_CODEX", Codex.Language:getPhrase("BINDING_NAME"))
		ZO_CreateStringId("SI_BINDING_NAME_RESET_STATS", Codex.Language:getPhrase("TAB_OVERVIEW_SESSION_RESETBUTTON"))
		
		Codex.Settings.SavedVars.JSON = nil	
	end
	
	local function Initialize(eventID, addonName)
		if(addonName == "Codex") then
			Initialize_Libraries();
			Initialize_Modules();
		end
	end


	function Codex.CommandHandler(args)
		if args == "debug" then
			Codex.debugEnabled = not Codex.debugEnabled
		elseif args == "show" then
			CodexUI:SetHidden(true)
			Codex.isOpen = false
			SetGameCameraUIMode(false)
		elseif args == "RESET_STATS" then
			Codex.Events:resetSession()
		else
			if Codex.isOpen then
				CodexUI:SetHidden(true)
				Codex.isOpen = false
				SetGameCameraUIMode(false)
				PlaySound(SOUNDS.CODEX_WINDOW_CLOSE)
			else
				CodexUI:SetHidden(false)
				Codex.isOpen = true
				SetGameCameraUIMode(true)
				Codex.Tabs.Kills:RefreshKills()
				PlaySound(SOUNDS.CODEX_WINDOW_OPEN)
			end
		end
	end

	function Codex:DebugMessage(argMessage)
		if Codex.debugEnabled then
			d(argMessage)
		end
	end

	SLASH_COMMANDS["/codex"] = Codex.CommandHandler
	

	EVENT_MANAGER:RegisterForEvent("Codex", EVENT_ADD_ON_LOADED, Initialize)

