
function table.Merge(dest, source)
	for k,v in pairs(source) do
		if ( type(v) == 'table' and type(dest[k]) == 'table' ) then
			-- don't overwrite one table with another;
			-- instead merge them recurisvely
			table.Merge(dest[k], v)
		else
			dest[k] = v
		end
	end
	return dest
end

function table.Count (t)
  local i = 0
  for k in pairs(t) do i = i + 1 end
  return i
end

function table.ClearKeys( Table, bSaveKey )

	local OutTable = {}
	
	for k, v in pairs( Table ) do
		if ( bSaveKey ) then
			v.__key = k
		end
		table.insert( OutTable, v )	
	end
	
	return OutTable

end

function table.SortByMember( Table, MemberName, bAsc )

	local TableMemberSort = function( a, b, MemberName, bReverse ) 
		return a[MemberName] < b[MemberName]
	end

	table.sort( Table, function(a, b) return TableMemberSort( a, b, MemberName, bAsc or false ) end )
	
end


function SortedPairsByMemberValue( pTable, pValueName, Desc )

	Desc = Desc or false
	
	local pSortedTable = table.ClearKeys( pTable, true )
	
	table.SortByMember( pSortedTable, pValueName, true )
	
	local SortedIndex = {}
	for k, v in ipairs( pSortedTable ) do
		table.insert( SortedIndex, v.__key )
	end
	
	pTable.__SortedIndex = SortedIndex

	return fnPairsSorted, pTable, nil
	
end

function table.Copy(argTable)
	local tmp_table = {}
	for key, value in pairs(argTable) do
		tmp_table[key] = value
	end
	local MemberName = "killed"
	--table.sort( tmp_table, function(a, b) return a[MemberName] < b[MemberName] end)
	return tmp_table
end