
	Codex.Tabs.Kills = {}
	Codex.Tabs.Kills.maxRows = 22
	Codex.Tabs.Kills.ControlRows = {}
	Codex.Tabs.Kills.Table = {}
	Codex.Tabs.Kills.EnableScroll = true
	Codex.Tabs.Kills.AllianceSelected = 0
	local Textures = {
	
		["BUTTON_UP"] = "/esoui/art/progression/progression_tabicon_combatskills_up.dds",
		["BUTTON_DOWN"] = "/esoui/art/progression/progression_tabicon_combatskills_down.dds",
		["BUTTON_OVER"] = "/esoui/art/progression/progression_tabicon_combatskills_over.dds",

	}
	function Codex.Tabs.Kills:setHidden(argStatus)
		if argStatus then
			TAB_Kills_button:SetNormalTexture(Textures.BUTTON_UP)
			UI_TAB_KILLS:SetHidden(true)
		else
			TAB_Kills_button:SetNormalTexture(Textures.BUTTON_DOWN)
			CodexUI_TitleLabel:SetText("|cD39958CODEX |r - |c49838F".. Codex.Language:getPhrase("TAB_KILLS_TITLE"))
			UI_TAB_KILLS:SetHidden(false)
		end
	end

	function Codex.Tabs.Kills:createButton( ControlAnchor, X, Y)
		if ControlAnchor then
			local Button = WINDOW_MANAGER:CreateControl("TAB_Kills_button", ControlAnchor, CT_BUTTON)
			Button:SetDimensions(52, 52)
			Button:SetAnchor(TOPRIGHT, ControlAnchor, TOPRIGHT, X, Y)
			Button:SetNormalTexture(Textures.BUTTON_UP)
			Button:SetPressedTexture(Textures.BUTTON_DOWN)
			Button:SetMouseOverTexture(Textures.BUTTON_OVER)
			Button.data = {}
			Button.data.tooltipText = Codex.Language:getPhrase("TAB_KILLS_TOOLTIP")
			Button:SetHandler("OnMouseEnter", function() ZO_Options_OnMouseEnter(Button) end)
			Button:SetHandler("OnMouseExit", ZO_Options_OnMouseExit)
			Button:SetHandler("OnClicked", function() Codex.Tabs:setActiveTAB(TAB_KILLS) end)
		end
	end

	function Codex.Tabs.Kills:Initialize()
		self:BuildUI()
	end

	local checkRows_LastAlliance = 0
	function Codex.Tabs.Kills:checkRows()
		local PlayerList = Codex.Tabs.Kills.Table
		if Codex.Tabs.Kills.AllianceSelected > 0 then

			if checkRows_LastAlliance ~= Codex.Tabs.Kills.AllianceSelected then
				Codex.Tabs.Kills.Table = Codex.Settings.SavedVars.Tables.KillList
				PlayerList = Codex.Tabs.Kills.Table
			end
			checkRows_LastAlliance = Codex.Tabs.Kills.AllianceSelected

			local NewList = {}
			for k,v in pairs(PlayerList) do
				if v.alliance == Codex.Tabs.Kills.AllianceSelected then
					table.insert(NewList, v)
				end
			end
			Codex.Tabs.Kills.Table = NewList
			PlayerList = NewList
		else
			Codex.Tabs.Kills.Table = Codex.Settings.SavedVars.Tables.KillList
			PlayerList = Codex.Tabs.Kills.Table
		end
		for I = 1, self.maxRows do
			local ControlName = "VirtualRow".. tostring(I)
			if PlayerList[I] then
				local player_infos = PlayerList[I]
				GetControl(ControlName):SetHidden(false)
				self:setControlValues(ControlName, I, player_infos.name , player_infos.killed, player_infos.defeat, player_infos.revenge, player_infos.avenge, player_infos.class, player_infos.alliance)
			end
		end
		TABLE_SLIDER:SetMinMax(0, table.Count(PlayerList) - self.maxRows)	
		TABLE_SLIDER:SetValue(0)

		if table.Count(PlayerList) > self.maxRows then
			TABLE_SLIDER:SetHidden(false)
		end
		self:searchPlayers(SEARCHBOX_CONTENT:GetText())
	end

	local SortByNameStatus = 0 
	function Codex.Tabs.Kills:sortByName()
		TAB_KILLS_TABLE_NAME_SORTSTATUS:SetHidden(false)
		TAB_KILLS_HEADER_KILLED_SORTSTATUS:SetHidden(true)
		TAB_KILLS_HEADER_DEFEAT_SORTSTATUS:SetHidden(true)
		TAB_KILLS_HEADER_REVENGE_SORTSTATUS:SetHidden(true)	
		TAB_KILLS_HEADER_AVENGE_SORTSTATUS:SetHidden(true)
		if SortByNameStatus == 0 then
			SortByNameStatus = 1
			TAB_KILLS_TABLE_NAME_SORTSTATUS:SetTexture("/esoui/art/miscellaneous/list_sortup.dds")
			table.sort(Codex.Tabs.Kills.Table, function( entry_a, entry_b )
				return entry_a.name:lower() < entry_b.name:lower()
			end)
		else
			SortByNameStatus = 0
			TAB_KILLS_TABLE_NAME_SORTSTATUS:SetTexture("/esoui/art/miscellaneous/list_sortdown.dds")
			table.sort(Codex.Tabs.Kills.Table, function( entry_a, entry_b )
				return entry_a.name:lower() > entry_b.name:lower()
			end)
		end
		self:checkRows()
	end

	local SortByKilledStatus = 0
	function Codex.Tabs.Kills:sortByKilled(forced)
		forced = forced or false
		TAB_KILLS_TABLE_NAME_SORTSTATUS:SetHidden(true)
		TAB_KILLS_HEADER_KILLED_SORTSTATUS:SetHidden(false)
		TAB_KILLS_HEADER_DEFEAT_SORTSTATUS:SetHidden(true)
		TAB_KILLS_HEADER_REVENGE_SORTSTATUS:SetHidden(true)
		TAB_KILLS_HEADER_AVENGE_SORTSTATUS:SetHidden(true)	

		if SortByKilledStatus == 0 or forced then
			SortByKilledStatus = 1
			TAB_KILLS_HEADER_KILLED_SORTSTATUS:SetTexture("/esoui/art/miscellaneous/list_sortup.dds")
			table.sort(Codex.Tabs.Kills.Table, function( entry_a, entry_b )
				return entry_a.killed > entry_b.killed
			end)
		else
			SortByKilledStatus = 0
			TAB_KILLS_HEADER_KILLED_SORTSTATUS:SetTexture("/esoui/art/miscellaneous/list_sortdown.dds")
			table.sort(Codex.Tabs.Kills.Table, function( entry_a, entry_b )
				return entry_a.killed < entry_b.killed
			end)
		end
		self:checkRows()
	end

	local SortByDefeatStatus = 0
	function Codex.Tabs.Kills:sortByDefeat()
		TAB_KILLS_TABLE_NAME_SORTSTATUS:SetHidden(true)
		TAB_KILLS_HEADER_KILLED_SORTSTATUS:SetHidden(true)
		TAB_KILLS_HEADER_DEFEAT_SORTSTATUS:SetHidden(false)
		TAB_KILLS_HEADER_REVENGE_SORTSTATUS:SetHidden(true)
		TAB_KILLS_HEADER_AVENGE_SORTSTATUS:SetHidden(true)	

		if SortByDefeatStatus == 0 or forced then
			SortByDefeatStatus = 1
			TAB_KILLS_HEADER_DEFEAT_SORTSTATUS:SetTexture("/esoui/art/miscellaneous/list_sortup.dds")
			table.sort(Codex.Tabs.Kills.Table, function( entry_a, entry_b )
				local defeat_a = entry_a.defeat or 0
				local defeat_b = entry_b.defeat or 0
				return defeat_a > defeat_b
			end)
		else
			SortByDefeatStatus = 0
			TAB_KILLS_HEADER_DEFEAT_SORTSTATUS:SetTexture("/esoui/art/miscellaneous/list_sortdown.dds")
			table.sort(Codex.Tabs.Kills.Table, function( entry_a, entry_b )
				local defeat_a = entry_a.defeat or 0
				local defeat_b = entry_b.defeat or 0
				return defeat_a < defeat_b
			end)
		end
		self:checkRows()
	end


	local SortByRevengeStatus = 0
	function Codex.Tabs.Kills:sortByRevenge()
		TAB_KILLS_TABLE_NAME_SORTSTATUS:SetHidden(true)
		TAB_KILLS_HEADER_KILLED_SORTSTATUS:SetHidden(true)
		TAB_KILLS_HEADER_DEFEAT_SORTSTATUS:SetHidden(true)
		TAB_KILLS_HEADER_REVENGE_SORTSTATUS:SetHidden(false)
		TAB_KILLS_HEADER_AVENGE_SORTSTATUS:SetHidden(true)

		if SortByRevengeStatus == 0 then
			SortByRevengeStatus = 1
			TAB_KILLS_HEADER_REVENGE_SORTSTATUS:SetTexture("/esoui/art/miscellaneous/list_sortup.dds")
			table.sort(Codex.Tabs.Kills.Table, function( entry_a, entry_b )
				return entry_a.revenge > entry_b.revenge
			end)
		else
			SortByRevengeStatus = 0
			TAB_KILLS_HEADER_REVENGE_SORTSTATUS:SetTexture("/esoui/art/miscellaneous/list_sortdown.dds")
			table.sort(Codex.Tabs.Kills.Table, function( entry_a, entry_b )
				return entry_a.revenge < entry_b.revenge
			end)
		end
		self:checkRows()
	end

	local SortByAvengeStatus = 0
	function Codex.Tabs.Kills:sortByAvenge(forced)
		forced = forced or false
		TAB_KILLS_TABLE_NAME_SORTSTATUS:SetHidden(true)
		TAB_KILLS_HEADER_KILLED_SORTSTATUS:SetHidden(true)
		TAB_KILLS_HEADER_DEFEAT_SORTSTATUS:SetHidden(true)
		TAB_KILLS_HEADER_REVENGE_SORTSTATUS:SetHidden(true)
		TAB_KILLS_HEADER_AVENGE_SORTSTATUS:SetHidden(false)
		if SortByAvengeStatus == 0 then
			SortByAvengeStatus = 1
			TAB_KILLS_HEADER_AVENGE_SORTSTATUS:SetTexture("/esoui/art/miscellaneous/list_sortup.dds")
			table.sort(Codex.Tabs.Kills.Table, function( entry_a, entry_b )
				return entry_a.avenge > entry_b.avenge
			end)
		else
			SortByAvengeStatus = 0
			TAB_KILLS_HEADER_AVENGE_SORTSTATUS:SetTexture("/esoui/art/miscellaneous/list_sortdown.dds")
			table.sort(Codex.Tabs.Kills.Table, function( entry_a, entry_b )
				return entry_a.avenge < entry_b.avenge
			end)
		end
		self:checkRows()
	end


	function Codex.Tabs.Kills:BuildUI()
		WINDOW_MANAGER:CreateControl("UI_TAB_KILLS", CodexUI)
		local PlayerList = Codex.Settings.SavedVars.Tables.KillList

		WINDOW_MANAGER:CreateControl('TAB_KILLS_HEADER_RANK', UI_TAB_KILLS, CT_LABEL)
		TAB_KILLS_HEADER_RANK:SetAnchor(TOPLEFT, CodexUI_BACKGROUND, TOPLEFT, 30,67)
        TAB_KILLS_HEADER_RANK:SetDimensions(0,32)      
		TAB_KILLS_HEADER_RANK:SetFont("EsoUi/Common/Fonts/Univers67.otf|18|soft-shadow-thick")
		TAB_KILLS_HEADER_RANK:SetText(Codex.Language:getPhrase("TAB_KILLS_TABLE_RANK"))
		TAB_KILLS_HEADER_RANK:SetColor(197 / 255, 194 / 255, 158 / 255, 1)
		
        WINDOW_MANAGER:CreateControlFromVirtual("TAB_KILLS_HEADER_NAME", UI_TAB_KILLS, "ZO_DefaultTextButton")
		TAB_KILLS_HEADER_NAME:SetParent(UI_TAB_KILLS)	
		TAB_KILLS_HEADER_NAME:SetAnchor(LEFT, TAB_KILLS_HEADER_RANK, LEFT, 35,-4)
        TAB_KILLS_HEADER_NAME:SetDimensions(200,32)  
        TAB_KILLS_HEADER_NAME:SetHorizontalAlignment(0)   
        TAB_KILLS_HEADER_NAME:SetFont("EsoUi/Common/Fonts/Univers67.otf|18|soft-shadow-thick")
        TAB_KILLS_HEADER_NAME:SetNormalFontColor(197 / 255, 194 / 255, 158 / 255, 1)
        TAB_KILLS_HEADER_NAME:SetMouseOverFontColor(182 / 255, 179 / 255, 133 / 255, 1)
		TAB_KILLS_HEADER_NAME:SetText( Codex.Language:getPhrase("TAB_KILLS_TABLE_NAME") )
		TAB_KILLS_HEADER_NAME:SetHandler("OnClicked", function() 
			Codex.Tabs.Kills:sortByName()
		end)

        WINDOW_MANAGER:CreateControl("TAB_KILLS_TABLE_NAME_SORTSTATUS", CodexUI_BACKGROUND, CT_TEXTURE)
        TAB_KILLS_TABLE_NAME_SORTSTATUS:SetParent(UI_TAB_KILLS)
        TAB_KILLS_TABLE_NAME_SORTSTATUS:SetTexture("/esoui/art/miscellaneous/list_sortdown.dds")
       	TAB_KILLS_TABLE_NAME_SORTSTATUS:SetAnchor(LEFT, TAB_KILLS_HEADER_NAME, LEFT, -20, 0)
       	TAB_KILLS_TABLE_NAME_SORTSTATUS:SetDimensions(16,16)       
       	TAB_KILLS_TABLE_NAME_SORTSTATUS:SetHidden(true)	


        WINDOW_MANAGER:CreateControlFromVirtual("TAB_KILLS_HEADER_KILLED", UI_TAB_KILLS, "ZO_DefaultTextButton")
		TAB_KILLS_HEADER_KILLED:SetParent(UI_TAB_KILLS)	
		TAB_KILLS_HEADER_KILLED:SetAnchor(LEFT, TAB_KILLS_HEADER_NAME, LEFT, 210,0)
        TAB_KILLS_HEADER_KILLED:SetDimensions(100,32)  
        TAB_KILLS_HEADER_KILLED:SetHorizontalAlignment(0)   
        TAB_KILLS_HEADER_KILLED:SetFont("EsoUi/Common/Fonts/Univers67.otf|18|soft-shadow-thick")
        TAB_KILLS_HEADER_KILLED:SetNormalFontColor(197 / 255, 194 / 255, 158 / 255, 1)
        TAB_KILLS_HEADER_KILLED:SetMouseOverFontColor(182 / 255, 179 / 255, 133 / 255, 1)
		TAB_KILLS_HEADER_KILLED:SetText( Codex.Language:getPhrase("TAB_KILLS_TABLE_KILLED") )
		TAB_KILLS_HEADER_KILLED:SetHandler("OnClicked", function() 
			Codex.Tabs.Kills:sortByKilled()
		end)

        WINDOW_MANAGER:CreateControl("TAB_KILLS_HEADER_KILLED_SORTSTATUS", UI_TAB_KILLS, CT_TEXTURE)
        TAB_KILLS_HEADER_KILLED_SORTSTATUS:SetParent(UI_TAB_KILLS)
        TAB_KILLS_HEADER_KILLED_SORTSTATUS:SetTexture("/esoui/art/miscellaneous/list_sortdown.dds")
       	TAB_KILLS_HEADER_KILLED_SORTSTATUS:SetAnchor(LEFT, TAB_KILLS_HEADER_KILLED, LEFT, -20, 0)
       	TAB_KILLS_HEADER_KILLED_SORTSTATUS:SetDimensions(16,16)       
		TAB_KILLS_HEADER_KILLED_SORTSTATUS:SetHidden(true)




        WINDOW_MANAGER:CreateControlFromVirtual("TAB_KILLS_HEADER_DEFEAT", UI_TAB_KILLS, "ZO_DefaultTextButton")
		TAB_KILLS_HEADER_DEFEAT:SetParent(UI_TAB_KILLS)	
		TAB_KILLS_HEADER_DEFEAT:SetAnchor(LEFT, TAB_KILLS_HEADER_KILLED, LEFT, 100,0)
        TAB_KILLS_HEADER_DEFEAT:SetDimensions(100,32)  
        TAB_KILLS_HEADER_DEFEAT:SetHorizontalAlignment(0)   
        TAB_KILLS_HEADER_DEFEAT:SetFont("EsoUi/Common/Fonts/Univers67.otf|18|soft-shadow-thick")
        TAB_KILLS_HEADER_DEFEAT:SetNormalFontColor(197 / 255, 194 / 255, 158 / 255, 1)
        TAB_KILLS_HEADER_DEFEAT:SetMouseOverFontColor(182 / 255, 179 / 255, 133 / 255, 1)
		TAB_KILLS_HEADER_DEFEAT:SetText( Codex.Language:getPhrase("TAB_KILLS_TABLE_DEFEAT") )
		TAB_KILLS_HEADER_DEFEAT:SetHandler("OnClicked", function() 
			Codex.Tabs.Kills:sortByDefeat()
		end)

        WINDOW_MANAGER:CreateControl("TAB_KILLS_HEADER_DEFEAT_SORTSTATUS", UI_TAB_KILLS, CT_TEXTURE)
        TAB_KILLS_HEADER_DEFEAT_SORTSTATUS:SetParent(UI_TAB_KILLS)
        TAB_KILLS_HEADER_DEFEAT_SORTSTATUS:SetTexture("/esoui/art/miscellaneous/list_sortdown.dds")
       	TAB_KILLS_HEADER_DEFEAT_SORTSTATUS:SetAnchor(LEFT, TAB_KILLS_HEADER_DEFEAT, LEFT, -20, 0)
       	TAB_KILLS_HEADER_DEFEAT_SORTSTATUS:SetDimensions(16,16)       
		TAB_KILLS_HEADER_DEFEAT_SORTSTATUS:SetHidden(true)



        WINDOW_MANAGER:CreateControlFromVirtual("TAB_KILLS_HEADER_REVENGE", UI_TAB_KILLS, "ZO_DefaultTextButton")
		TAB_KILLS_HEADER_REVENGE:SetParent(UI_TAB_KILLS)	
		TAB_KILLS_HEADER_REVENGE:SetAnchor(LEFT, TAB_KILLS_HEADER_DEFEAT, LEFT, 100,0)
        TAB_KILLS_HEADER_REVENGE:SetDimensions(100,32)  
        TAB_KILLS_HEADER_REVENGE:SetHorizontalAlignment(0)   
        TAB_KILLS_HEADER_REVENGE:SetFont("EsoUi/Common/Fonts/Univers67.otf|18|soft-shadow-thick")
        TAB_KILLS_HEADER_REVENGE:SetNormalFontColor(197 / 255, 194 / 255, 158 / 255, 1)
        TAB_KILLS_HEADER_REVENGE:SetMouseOverFontColor(182 / 255, 179 / 255, 133 / 255, 1)
		TAB_KILLS_HEADER_REVENGE:SetText( Codex.Language:getPhrase("TAB_KILLS_TABLE_REVENGEKILL") )
		TAB_KILLS_HEADER_REVENGE:SetHandler("OnClicked", function() 
			Codex.Tabs.Kills:sortByRevenge()
		end)

        WINDOW_MANAGER:CreateControl("TAB_KILLS_HEADER_REVENGE_SORTSTATUS", TAB_KILLS_HEADER_REVENGE, CT_TEXTURE)
        TAB_KILLS_HEADER_REVENGE_SORTSTATUS:SetParent(UI_TAB_KILLS)
        TAB_KILLS_HEADER_REVENGE_SORTSTATUS:SetTexture("/esoui/art/miscellaneous/list_sortdown.dds")
       	TAB_KILLS_HEADER_REVENGE_SORTSTATUS:SetAnchor(LEFT, TAB_KILLS_HEADER_REVENGE, LEFT, -20, 0)
       	TAB_KILLS_HEADER_REVENGE_SORTSTATUS:SetDimensions(16,16)    
       	TAB_KILLS_HEADER_REVENGE_SORTSTATUS:SetHidden(true)


        WINDOW_MANAGER:CreateControlFromVirtual("TAB_KILLS_HEADER_AVENGE", UI_TAB_KILLS, "ZO_DefaultTextButton")
		TAB_KILLS_HEADER_AVENGE:SetParent(UI_TAB_KILLS)	
		TAB_KILLS_HEADER_AVENGE:SetAnchor(LEFT, TAB_KILLS_HEADER_REVENGE, LEFT, 120,0)
        TAB_KILLS_HEADER_AVENGE:SetDimensions(100,32)  
        TAB_KILLS_HEADER_AVENGE:SetHorizontalAlignment(0)   
        TAB_KILLS_HEADER_AVENGE:SetFont("EsoUi/Common/Fonts/Univers67.otf|18|soft-shadow-thick")
        TAB_KILLS_HEADER_AVENGE:SetNormalFontColor(197 / 255, 194 / 255, 158 / 255, 1)
        TAB_KILLS_HEADER_AVENGE:SetMouseOverFontColor(182 / 255, 179 / 255, 133 / 255, 1)
		TAB_KILLS_HEADER_AVENGE:SetText( Codex.Language:getPhrase("TAB_KILLS_TABLE_AVENGEKILL") )
		TAB_KILLS_HEADER_AVENGE:SetHandler("OnClicked", function() 
			Codex.Tabs.Kills:sortByAvenge()
		end)

        WINDOW_MANAGER:CreateControl("TAB_KILLS_HEADER_AVENGE_SORTSTATUS", TAB_KILLS_HEADER_AVENGE, CT_TEXTURE)
        TAB_KILLS_HEADER_AVENGE_SORTSTATUS:SetParent(UI_TAB_KILLS)
        TAB_KILLS_HEADER_AVENGE_SORTSTATUS:SetTexture("/esoui/art/miscellaneous/list_sortdown.dds")
       	TAB_KILLS_HEADER_AVENGE_SORTSTATUS:SetAnchor(LEFT, TAB_KILLS_HEADER_AVENGE, LEFT, -20, 0)
       	TAB_KILLS_HEADER_AVENGE_SORTSTATUS:SetDimensions(16,16)    
       	TAB_KILLS_HEADER_AVENGE_SORTSTATUS:SetHidden(true)

		WINDOW_MANAGER:CreateControl('TAB_KILLS_HEADER_CLASS', UI_TAB_KILLS, CT_LABEL)
		TAB_KILLS_HEADER_CLASS:SetAnchor(LEFT, TAB_KILLS_HEADER_AVENGE, LEFT, 140,4)
        TAB_KILLS_HEADER_CLASS:SetDimensions(0,32)       
		TAB_KILLS_HEADER_CLASS:SetFont("EsoUi/Common/Fonts/Univers67.otf|18|soft-shadow-thick")
		TAB_KILLS_HEADER_CLASS:SetText(Codex.Language:getPhrase("TAB_KILLS_TABLE_CLASSALLIANCE"))
		TAB_KILLS_HEADER_CLASS:SetColor(197 / 255, 194 / 255, 158 / 255, 1)
		
		
		
		local tex = "/esoui/art/miscellaneous/scrollbox_elevator.dds"
		local Slider = CreateControl("TABLE_SLIDER", CodexUI_BACKGROUND, CT_SLIDER)
		Slider:SetParent(TAB_KILLS_HEADER_RANK)		
		Slider:SetDimensions(self.maxRows, self.maxRows * DEFAULT_BUTTON_HEIGHT)
		Slider:SetMouseEnabled(true)
		Slider:SetThumbTexture(tex,tex,tex,30,50,0,0,1,1)
		Slider:SetMinMax(0, table.Count(PlayerList) - self.maxRows)
		Slider:SetValueStep(1)
		Slider:SetAnchor(TOPLEFT,CodexUI_BACKGROUND,TOPRIGHT,-30,95)
		Slider:SetHandler("OnValueChanged",function(self,value,eventReason)
			Codex.Tabs.Kills:onSliderMove( value )
		end)



        WINDOW_MANAGER:CreateControl("TAB_KILLS_BOTTOM_DECORATION_LEFT", CodexUI_BACKGROUND, CT_TEXTURE)
        TAB_KILLS_BOTTOM_DECORATION_LEFT:SetParent(UI_TAB_KILLS)
        TAB_KILLS_BOTTOM_DECORATION_LEFT:SetTexture("/esoui/art/bossbar/bossbar_bracket_left.dds")
       	TAB_KILLS_BOTTOM_DECORATION_LEFT:SetAnchor(BOTTOM, CodexUI_BACKGROUND, BOTTOM, -450, 20)
       	TAB_KILLS_BOTTOM_DECORATION_LEFT:SetDimensions(64,64)    


        WINDOW_MANAGER:CreateControl("TAB_KILLS_BOTTOM_DECORATION_EDITBOX_BACKGROUND", CodexUI_BACKGROUND, CT_TEXTURE)
        TAB_KILLS_BOTTOM_DECORATION_EDITBOX_BACKGROUND:SetParent(UI_TAB_KILLS)
        TAB_KILLS_BOTTOM_DECORATION_EDITBOX_BACKGROUND:SetTexture("/esoui/art/buttons/blade_closed_down.dds")
       	TAB_KILLS_BOTTOM_DECORATION_EDITBOX_BACKGROUND:SetAnchor(BOTTOM, CodexUI_BACKGROUND, BOTTOM, -240, 7)
       	TAB_KILLS_BOTTOM_DECORATION_EDITBOX_BACKGROUND:SetDimensions(350,35)    

       	WINDOW_MANAGER:CreateControlFromVirtual('SEARCHBOX_BG', CodexUI_BACKGROUND, "ZO_EditBackdrop")
        SEARCHBOX_BG:SetParent(UI_TAB_KILLS)
       	SEARCHBOX_BG:SetDimensions(310,35)	
       	SEARCHBOX_BG:SetEdgeColor(0,0,0,0)
       	SEARCHBOX_BG:SetCenterColor(0,0,0,0)
       	SEARCHBOX_BG:SetAnchor(BOTTOM, CodexUI_BACKGROUND, BOTTOM, -260, 10)
       	WINDOW_MANAGER:CreateControlFromVirtual('SEARCHBOX_CONTENT', SEARCHBOX_BG, "ZO_DefaultEditForBackdrop")	
       	SEARCHBOX_CONTENT:SetText("")	
       	SEARCHBOX_CONTENT:SetHandler("OnTextChanged", function()
       		self:searchPlayers(SEARCHBOX_CONTENT:GetText())


       	end)

		local Button = WINDOW_MANAGER:CreateControl("SEARCH_BUTTON", CodexUI_BACKGROUND, CT_BUTTON)
		Button:SetDimensions(42, 42)
		Button:SetParent(UI_TAB_KILLS)
		Button:SetAnchor(BOTTOM, CodexUI_BACKGROUND, BOTTOM, -90, 10)
		Button:SetNormalTexture("esoui/art/lfg/lfg_tabicon_grouptools_up.dds")
		Button:SetPressedTexture("esoui/art/lfg/lfg_tabicon_grouptools_down.dds")
		Button:SetMouseOverTexture("esoui/art/lfg/lfg_tabicon_grouptools_over.dds")
		Button.data = {}
		Button.data.tooltipText = Codex.Language:getPhrase("SearchTooltip")
		Button:SetHandler("OnMouseEnter", function() ZO_Options_OnMouseEnter(Button) end)
		Button:SetHandler("OnMouseExit", ZO_Options_OnMouseExit)
		Button:SetHandler("OnClicked", function() end)

        WINDOW_MANAGER:CreateControl("TAB_KILLS_BOTTOM_DECORATION_RIGHT", CodexUI_BACKGROUND, CT_TEXTURE)
        TAB_KILLS_BOTTOM_DECORATION_RIGHT:SetParent(UI_TAB_KILLS)
        TAB_KILLS_BOTTOM_DECORATION_RIGHT:SetTexture("/esoui/art/bossbar/bossbar_bracket_right.dds")
       	TAB_KILLS_BOTTOM_DECORATION_RIGHT:SetAnchor(BOTTOM, CodexUI_BACKGROUND, BOTTOM, -25, 20)
       	TAB_KILLS_BOTTOM_DECORATION_RIGHT:SetDimensions(64,64)    


		local USE_OLD_STYLE_BUTTON = WINDOW_MANAGER:CreateControl("USE_OLD_STYLE_BUTTON", CodexUI_BACKGROUND, CT_BUTTON)
		USE_OLD_STYLE_BUTTON:SetParent(UI_TAB_KILLS)
		USE_OLD_STYLE_BUTTON:SetDimensions(42, 42)
		USE_OLD_STYLE_BUTTON:SetAnchor(BOTTOM, CodexUI_BACKGROUND, BOTTOM, 350, 10)
		USE_OLD_STYLE_BUTTON:SetHandler("OnClicked", function() 

			if Codex.Settings.SavedVars.Global.UseOldStyle then
				Codex.Settings.SavedVars.Global.UseOldStyle = false
				USE_OLD_STYLE_BUTTON:SetNormalTexture("esoui/art/cadwell/checkboxicon_unchecked.dds")
			else
				Codex.Settings.SavedVars.Global.UseOldStyle = true
				USE_OLD_STYLE_BUTTON:SetNormalTexture("esoui/art/cadwell/checkboxicon_checked.dds")
			end
			Codex.Tabs.Kills:refeshRowsStyle()
		end)

		if Codex.Settings.SavedVars.Global.UseOldStyle then
			USE_OLD_STYLE_BUTTON:SetNormalTexture("esoui/art/cadwell/checkboxicon_checked.dds")
		else
			USE_OLD_STYLE_BUTTON:SetNormalTexture("esoui/art/cadwell/checkboxicon_unchecked.dds")	
		end

		local USE_OLD_STYLE_LABEL = WINDOW_MANAGER:CreateControl("USE_OLD_STYLE_LABEL", CodexUI_BACKGROUND, CT_LABEL)
		USE_OLD_STYLE_LABEL:SetParent(UI_TAB_KILLS)
		USE_OLD_STYLE_LABEL:SetAnchor(BOTTOM, CodexUI_BACKGROUND, BOTTOM, 400, 0)
		USE_OLD_STYLE_LABEL:SetText("Old Style")
		USE_OLD_STYLE_LABEL:SetFont("ZoFontEdit")

		if table.Count(PlayerList) > self.maxRows then
			TABLE_SLIDER:SetHidden(false)
			Codex.Tabs.Kills.EnableScroll = true
		else
			TABLE_SLIDER:SetHidden(true)	
			Codex.Tabs.Kills.EnableScroll = false
		end
		Codex.Tabs.Kills.Table = Codex.Settings.SavedVars.Tables.KillList

		for I = 1, self.maxRows do
			local ControlName = "VirtualRow".. tostring(I)		
			local Control = CreateControlFromVirtual("VirtualRow", TAB_KILLS_HEADER_RANK, "VirtualRow", I)
			isValidAnchor, point, relativeTo, relativePoint, offsetX, offsetY = Control:GetAnchor()
			Control:SetAnchor(point, relativeTo, relativePoint, offsetX - 35, I * DEFAULT_BUTTON_HEIGHT)
			Control:SetParent(TAB_KILLS_HEADER_RANK)	
			Control:SetHidden(true)
			TABLE_SLIDER:SetMinMax(0, table.Count(PlayerList) - self.maxRows)	
			TABLE_SLIDER:SetValue(0)
		end

	Codex.Tabs.Kills:refeshRowsStyle()

	local activeAlliance = 0
	local AD_isOpen = false
	local EP_isOpen = false
	local DC_isOpen = false
	local delay = 500
	local base_x = 0
	local base_y = 10
	local spacement = 50
	local open_x = 0

	WINDOW_MANAGER:CreateControl("AD_BUTTON", CodexUI_BACKGROUND, CT_BUTTON)
	AD_BUTTON:SetDimensions(42, 42)
	AD_BUTTON:SetParent(UI_TAB_KILLS)
	AD_BUTTON:SetAnchor(BOTTOM, CodexUI_BACKGROUND, BOTTOM, base_x, 10)
	AD_BUTTON:SetNormalTexture("/esoui/art/campaign/overview_allianceicon_aldmeri.dds")
	AD_BUTTON.tooltipText = Codex.Language:getPhrase('TAB_KILLS_SEARCH_FOR_ALDMERI')
	AD_BUTTON.data = {}
	AD_BUTTON.data.tooltipText = Codex.Language:getPhrase("TAB_KILLS_SEARCH_FOR_ALDMERI")
	AD_BUTTON:SetHandler("OnMouseEnter", function() ZO_Options_OnMouseEnter(AD_BUTTON) end)
	AD_BUTTON:SetHandler("OnMouseExit", ZO_Options_OnMouseExit)
	AD_BUTTON:SetHandler("OnClicked", function() 

		Codex.Tabs.Kills:setAlliance( 1 )

	end)


	WINDOW_MANAGER:CreateControl("EP_BUTTON", CodexUI_BACKGROUND, CT_BUTTON)
	EP_BUTTON:SetDimensions(42, 42)
	EP_BUTTON:SetParent(UI_TAB_KILLS)
	EP_BUTTON:SetAnchor(BOTTOM, CodexUI_BACKGROUND, BOTTOM, base_x + (spacement * 1), base_y)
	EP_BUTTON:SetNormalTexture("/esoui/art/campaign/overview_allianceicon_ebonheart.dds")
	EP_BUTTON.data = {}
	EP_BUTTON.data.tooltipText = Codex.Language:getPhrase("TAB_KILLS_SEARCH_FOR_EBONHEART")
	EP_BUTTON:SetHandler("OnMouseEnter", function() ZO_Options_OnMouseEnter(EP_BUTTON) end)
	EP_BUTTON:SetHandler("OnMouseExit", ZO_Options_OnMouseExit)
	EP_BUTTON:SetHandler("OnClicked", function() 

		Codex.Tabs.Kills:setAlliance( 2 )
	end)

	WINDOW_MANAGER:CreateControl("DC_BUTTON", CodexUI_BACKGROUND, CT_BUTTON)
	DC_BUTTON:SetDimensions(42, 42)
	DC_BUTTON:SetParent(UI_TAB_KILLS)
	DC_BUTTON:SetAnchor(BOTTOM, CodexUI_BACKGROUND, BOTTOM, base_x + (spacement * 2), base_y)
	DC_BUTTON:SetNormalTexture("/esoui/art/campaign/overview_allianceicon_daggefall.dds")
	DC_BUTTON.data = {}
	DC_BUTTON.data.tooltipText = Codex.Language:getPhrase("TAB_KILLS_SEARCH_FOR_DAGGERFALL")
	DC_BUTTON:SetHandler("OnMouseEnter", function() ZO_Options_OnMouseEnter(DC_BUTTON) end)
	DC_BUTTON:SetHandler("OnMouseExit", ZO_Options_OnMouseExit)
	DC_BUTTON:SetHandler("OnClicked", function() 

		Codex.Tabs.Kills:setAlliance( 3 )

	end)

	WINDOW_MANAGER:CreateControl("ALLIANCE_LABEL", CodexUI_BACKGROUND, CT_LABEL)
	ALLIANCE_LABEL:SetParent(UI_TAB_KILLS)
	ALLIANCE_LABEL:SetAnchor(LEFT, AD_BUTTON, LEFT, 40, 0)
	ALLIANCE_LABEL:SetText("Domaine Aldmeri")
	ALLIANCE_LABEL:SetFont("ZoFontEdit")
	ALLIANCE_LABEL:SetAlpha(0)
	ALLIANCE_LABEL:SetVerticalAlignment(1)
	ALLIANCE_LABEL:SetHorizontalAlignment(1)
	ALLIANCE_LABEL:SetDimensions(170,0)
    end  		

    function Codex.Tabs.Kills:changeState(Control, x, y, delay)
		local anim = Codex.Libraries.Animation:New( Control )
		anim:TranslateTo( x, y, delay )
		anim:Play()
    end

    local aldmeriIsOpen = false
    local ebonheartIsOpen = false
    local daggerfallIsOpen = false


    function Codex.Tabs.Kills:setALlianceText(argAllianceID, setHidden)
    	setHidden = setHidden or false



    	if argAllianceID == 1 then
    		ALLIANCE_LABEL:SetText(Codex.Language:getPhrase('Aldmeri'))
    		ALLIANCE_LABEL:SetAnchor(LEFT, AD_BUTTON, LEFT, 40, 0)
    	end

    	if argAllianceID == 2 then
    		ALLIANCE_LABEL:SetText(Codex.Language:getPhrase('Ebonheart'))
    		ALLIANCE_LABEL:SetAnchor(LEFT, EP_BUTTON, LEFT, 40, 0)
    	end

    	if argAllianceID == 3 then
    		ALLIANCE_LABEL:SetText(Codex.Language:getPhrase('Daggerfall'))
    		ALLIANCE_LABEL:SetAnchor(LEFT, DC_BUTTON, LEFT, 40, 0)
    	end

    	if setHidden then
			local anim = Codex.Libraries.Animation:New( ALLIANCE_LABEL )
			anim:AlphaTo( 0, 500 )
			anim:Play()
    	else
    		zo_callLater(function()
				local anim = Codex.Libraries.Animation:New( ALLIANCE_LABEL )
				anim:AlphaTo( 1, 500 )
				anim:Play()
    		end, 500) 
    	end

    end

    function Codex.Tabs.Kills:setAlliance( argAllianceID)
    	local base_x, base_y, spacement, delay = 0, 10, 50, 500

   
   		if argAllianceID == 1 then
   			if aldmeriIsOpen then
   				aldmeriIsOpen = false
   				zo_callLater(function()
		   			self:changeState(AD_BUTTON, base_x, base_y, delay)
		   			self:changeState(EP_BUTTON, base_x + spacement, base_y, delay)
		   			self:changeState(DC_BUTTON, base_x + ( spacement * 2 ), base_y, delay)
	   				Codex.Tabs.Kills.AllianceSelected = 0
	   				self:checkRows()
	   			end, 500)
   				self:setALlianceText(1,true)
   			else
   				if ebonheartIsOpen or daggerfallIsOpen then	
	   				self:setALlianceText(0,true)
	   				zo_callLater(function()
		   				self:changeState(AD_BUTTON, base_x, base_y, delay)
		   				self:changeState(EP_BUTTON, base_x + spacement + 150, base_y, delay)
		   				self:changeState(DC_BUTTON, base_x + ( spacement * 2 ) + 150, base_y, delay)	
		   				self:setALlianceText(1,false)	


		   				Codex.Tabs.Kills.AllianceSelected = 1
		   				self:checkRows()
		   			end, 500)
   				else
	   				self:changeState(AD_BUTTON, base_x, base_y, delay)
	   				self:changeState(EP_BUTTON, base_x + spacement + 150, base_y, delay)
	   				self:changeState(DC_BUTTON, base_x + ( spacement * 2 ) + 150, base_y, delay)	
	   				self:setALlianceText(1,false)


		   			Codex.Tabs.Kills.AllianceSelected = 1
		   			self:checkRows()
   				end

   				aldmeriIsOpen = true
			    ebonheartIsOpen = false
			    daggerfallIsOpen = false
			    Codex.Tabs.Kills.AllianceSelected = 1
   			end
   		end

   		if argAllianceID == 2 then
   			if ebonheartIsOpen then
   				ebonheartIsOpen = false
   				zo_callLater(function()
	   				self:changeState(AD_BUTTON, base_x, base_y, delay)
	   				self:changeState(EP_BUTTON, base_x + spacement, base_y, delay)
	   				self:changeState(DC_BUTTON, base_x + ( spacement * 2 ) , base_y, delay)	
	   				Codex.Tabs.Kills.AllianceSelected = 0
	   				self:checkRows()
	   			end, 500)

   				self:setALlianceText(2,true)
   			else
   				if aldmeriIsOpen or daggerfallIsOpen then	
	   				self:setALlianceText(0,true)
	   				zo_callLater(function()
		   				self:changeState(AD_BUTTON, base_x, base_y, delay)
		   				self:changeState(EP_BUTTON, base_x + spacement, base_y, delay)
		   				self:changeState(DC_BUTTON, base_x + ( spacement * 2 ) + 150, base_y, delay)
		   				self:setALlianceText(2,false)	


		   				Codex.Tabs.Kills.AllianceSelected = 2
		   				self:checkRows()
		   			end, 500)
	   			else
	   				self:changeState(AD_BUTTON, base_x, base_y, delay)
	   				self:changeState(EP_BUTTON, base_x + spacement, base_y, delay)
	   				self:changeState(DC_BUTTON, base_x + ( spacement * 2 ) + 150, base_y, delay)	
	   				self:setALlianceText(2,false)	

		   			Codex.Tabs.Kills.AllianceSelected = 2
		   			self:checkRows()
	   			end
			    aldmeriIsOpen = false
			    ebonheartIsOpen = true
			    daggerfallIsOpen = false
   			end
   		end


   		if argAllianceID == 3 then
   			if daggerfallIsOpen then
   				daggerfallIsOpen = false
   				zo_callLater(function()
	   				self:changeState(AD_BUTTON, base_x, base_y, delay)
	   				self:changeState(EP_BUTTON, base_x + spacement, base_y, delay)
	   				self:changeState(DC_BUTTON, base_x + ( spacement * 2 ) , base_y, delay)	
	   				Codex.Tabs.Kills.AllianceSelected = 0
	   				self:checkRows()
	   			end, 500)
   				self:setALlianceText(3,true)
   			else
   				if aldmeriIsOpen or ebonheartIsOpen then
   					self:setALlianceText(0,true)
   					zo_callLater(function()
	   					self:changeState(AD_BUTTON, base_x, base_y, delay)
		   				self:changeState(EP_BUTTON, base_x + spacement, base_y, delay)
		   				self:changeState(DC_BUTTON, base_x + ( spacement * 2 ) , base_y, delay)	
		   				self:setALlianceText(3,false)


		   				Codex.Tabs.Kills.AllianceSelected = 3
		   				self:checkRows()
   					end, 500)
   				else
	   				self:changeState(AD_BUTTON, base_x, base_y, delay)
		   			self:changeState(EP_BUTTON, base_x + spacement, base_y, delay)
		   			self:changeState(DC_BUTTON, base_x + ( spacement * 2 ) , base_y, delay)	
		   			self:setALlianceText(3,false)

					Codex.Tabs.Kills.AllianceSelected = 3
		   			self:checkRows()
   				end
			    aldmeriIsOpen = false
			    ebonheartIsOpen = false
			    daggerfallIsOpen = true
   			end
   		end

    end




	function Codex.Tabs.Kills:onSliderMove( argValue )
		Codex.Tabs.Kills:updateRows( argValue )	
	end

	function string.starts(String,Start)
	   return string.sub(string.lower(String),1,string.len(Start)) == string.lower(Start)
	end

	function Codex.Tabs.Kills:searchPlayers( argText )
		local PlayerList = Codex.Tabs.Kills.Table
		local newTable = {}

		for k,v in pairs(PlayerList) do
			if string.starts(v.name, argText) then
				table.insert(newTable, v)
			end
		end

		for I = 1, self.maxRows do
			local ControlName = "VirtualRow".. tostring(I)
			GetControl(ControlName):SetHidden(true)
			if newTable[I] then
				local player_infos = newTable[I]
				GetControl(ControlName):SetHidden(false)
				self:setControlValues(ControlName, I, player_infos.name , player_infos.killed, player_infos.defeat, player_infos.revenge, player_infos.avenge, player_infos.class, player_infos.alliance)
			end
		end
		TABLE_SLIDER:SetMinMax(0, table.Count(newTable) - self.maxRows)	
		TABLE_SLIDER:SetValue(0)

		if table.Count(newTable) > self.maxRows then
			TABLE_SLIDER:SetHidden(false)
			Codex.Tabs.Kills.EnableScroll = true
		else
			TABLE_SLIDER:SetHidden(true)	
			Codex.Tabs.Kills.EnableScroll = false
		end

	end	
	function Codex.Tabs.Kills:updateRows( argValue )


		if SEARCHBOX_CONTENT:GetText() == "" then
			for I = 1, self.maxRows do
				local ControlName = "VirtualRow".. tostring(I)
				if Codex.Tabs.Kills.Table[I + argValue] then
					local player_infos = Codex.Tabs.Kills.Table[I + argValue]
					local id = I + argValue
					GetControl(ControlName):SetHidden(false)
					self:setControlValues(ControlName, id, player_infos.name , player_infos.killed, player_infos.defeat, player_infos.revenge, player_infos.avenge, player_infos.class, player_infos.alliance)
				end
			end
		else
			local PlayerList = Codex.Tabs.Kills.Table
			local newTable = {}

			for k,v in pairs(PlayerList) do
				if string.starts(v.name, SEARCHBOX_CONTENT:GetText()) then
					table.insert(newTable, v)
				end
			end

			for I = 1, self.maxRows do
				local ControlName = "VirtualRow".. tostring(I)
				GetControl(ControlName):SetHidden(true)
				if newTable[I + argValue] then
					local player_infos = newTable[I + argValue]
					GetControl(ControlName):SetHidden(false)
					self:setControlValues(ControlName, I, player_infos.name , player_infos.killed, player_infos.defeat, player_infos.revenge, player_infos.avenge, player_infos.class, player_infos.alliance)
				end
			end
			TABLE_SLIDER:SetMinMax(0, table.Count(newTable) - self.maxRows)	
			TABLE_SLIDER:SetValue(0)

			if table.Count(newTable) > self.maxRows then
				TABLE_SLIDER:SetHidden(false)
				Codex.Tabs.Kills.EnableScroll = true
			else
				TABLE_SLIDER:SetHidden(true)	
				Codex.Tabs.Kills.EnableScroll = false
			end

		end
	end


	function Codex.Tabs.Kills:refeshRowsStyle()
		for I = 1, self.maxRows do
		local control = GetControl("VirtualRow" .. tostring(I))
		if control then
			local BG = control:GetNamedChild("_BG")
				if Codex.Settings.SavedVars.Global.UseOldStyle then
					BG:SetTexture("/esoui/art/miscellaneous/listitem_highlight.dds")	
					control:SetDimensions(900,40)
				else
					control:SetDimensions(900,35)
					BG:SetTexture("/esoui/art/unitframes/unitframe_player.dds")
				end
			end
		end
	end

	function Codex.Tabs.Kills:onMouseWheel( argDelta )
		if not Codex.Tabs.Kills.EnableScroll then return end
		if table.Count(Codex.Tabs.Kills.Table) > self.maxRows then
			local offset = TABLE_SLIDER:GetValue()
			offset = offset - argDelta
			--PlaySound(SOUNDS.LOCKPICKING_UNLOCKED)
			--PlaySound(SOUNDS.ENCHANTING_CREATE_TOOLTIP_GLOW)
			 local PlayerList = Codex.Tabs.Kills.Table

			if (offset < 0) then offset = 0 end
			if (offset > table.Count(PlayerList) - self.maxRows ) then 
				offset = table.Count(PlayerList) - self.maxRows 
			end
			Codex.Tabs.Kills:updateRows( offset )	
			TABLE_SLIDER:SetValue(offset)
		end	
	end


	function Codex.Tabs.Kills:setControlValues(argControl, argID, argPlayerName, argKilled, argDefeat, argRevengeKill, argAvengeKill, argClassID, argAllianceID)
		argDefeat = argDefeat or 0

		local control = GetControl(argControl)

		local BG = control:GetNamedChild("_BG")

		local ID = control:GetNamedChild("_ID")
		ID:SetText(argID)

		local PlayerName = control:GetNamedChild("_Name")
		PlayerName:SetText(argPlayerName)

		local Killed = control:GetNamedChild("_Killed")
		Killed:SetText(argKilled)

		local Defeat = control:GetNamedChild("_Death")
		Defeat:SetText(argDefeat)

		local RevengeKill = control:GetNamedChild("_RevengeKill")
		RevengeKill:SetText(argRevengeKill)

		local AvengeKill = control:GetNamedChild("_AvengeKill")
		AvengeKill:SetText(argAvengeKill)

		local ClassIcon = control:GetNamedChild("_ClassIcon")
		Class = self:getClassInfos(argClassID)
		ClassIcon:SetNormalTexture(Class.texture)
		ClassIcon.data = {}
		ClassIcon.data.tooltipText = Class.name
		ClassIcon:SetHandler("OnMouseEnter", function() ZO_Options_OnMouseEnter(ClassIcon) end)
		ClassIcon:SetHandler("OnMouseExit", ZO_Options_OnMouseExit)

		local AllianceIcon = control:GetNamedChild("_AllianceIcon")
		local Alliance = self:getAllianceInfos(argAllianceID)
		AllianceIcon:SetNormalTexture(Alliance.texture)
		AllianceIcon.data = {}
		AllianceIcon.data.tooltipText = Alliance.name
		AllianceIcon:SetHandler("OnMouseEnter", function() ZO_Options_OnMouseEnter(AllianceIcon) end)
		AllianceIcon:SetHandler("OnMouseExit", ZO_Options_OnMouseExit)

		if argAllianceID == 1 then
			BG:SetColor(198 / 255 ,198 / 255, 57 / 255)
		elseif argAllianceID == 2 then
			BG:SetColor(187 / 255, 17 / 255, 17 / 255)
		elseif argAllianceID == 3 then
			BG:SetColor(18 / 255, 101 / 255, 118 / 255)
		else
			BG:SetColor(0 / 255 ,0 / 255 , 0 / 255)	
		end
	end



	function Codex.Tabs.Kills:getAllianceInfos(argAllianceID)
		if argAllianceID == 1 then
			return { name = Codex.Language:getPhrase("Aldmeri"), texture = "/esoui/art/contacts/social_allianceicon_aldmeri.dds" }
		elseif argAllianceID == 2 then
			return { name = Codex.Language:getPhrase("Ebonheart"), texture = "/esoui/art/contacts/social_allianceicon_ebonheart.dds" }
		elseif argAllianceID == 3 then
			return { name = Codex.Language:getPhrase("Daggerfall"), texture = "/esoui/art/contacts/social_allianceicon_daggerfall.dds" }
		else
			return { name = "Unknown Alliance", texture = "/esoui/art/miscellaneous/help_icon.dds" }
		end
	end

	function Codex.Tabs.Kills:getClassInfos(argClassID)
		if argClassID == 1 then
			return { name = Codex.Language:getPhrase("DragonKnight"), texture = "/esoui/art/contacts/social_classicon_dragonknight.dds"}
		elseif argClassID == 2 then
			return { name = Codex.Language:getPhrase("Sorcerer"), texture = "/esoui/art/contacts/social_classicon_sorcerer.dds" }
		elseif argClassID == 3 then
			return { name = Codex.Language:getPhrase("Nightblade"), texture = "/esoui/art/contacts/social_classicon_nightblade.dds" }
		elseif argClassID == 6 then
			return { name = Codex.Language:getPhrase("Templar"), texture = "/esoui/art/contacts/social_classicon_templar.dds" }
		else
			return { name = "Unknown class", texture = "/esoui/art/miscellaneous/help_icon.dds" }
		end
	end

	function Codex.Tabs.Kills:RefreshKills( )
		--self:checkRows( )
		--TABLE_SLIDER:SetValue(0)
		Codex.Tabs.Kills.Table = table.Copy(Codex.Settings.SavedVars.Tables.KillList)
		self:sortByKilled(true)
	end
