--[[
	Codex.Tabs.LastKills = {}

	local Textures = {
	
		["BUTTON_UP"] = "/esoui/art/journal/journal_tabicon_achievements_up.dds",
		["BUTTON_DOWN"] = "/esoui/art/journal/journal_tabicon_achievements_down.dds",
		["BUTTON_OVER"] = "/esoui/art/journal/journal_tabicon_achievements_over.dds",
		["BUTTON_DISABLED"] = "/esoui/art/journal/journal_tabicon_achievements_disabled.dds",

		[1] = -- ALDMERI
		{
			["LEFT"] = "/esoui/art/campaign/overview_scoringbg_aldmeri_left.dds",
			["RIGHT"] = "/esoui/art/campaign/overview_scoringbg_aldmeri_right.dds",
			["LOGO"] = "/esoui/art/campaign/overview_allianceicon_aldmeri.dds",
			["BANNER"] = "/esoui/art/guild/banner_aldmeri.dds",
		},

		[2] = -- EBONHEART
		{
			["LEFT"] = "/esoui/art/campaign/overview_scoringbg_ebonheart_left.dds",
			["RIGHT"] = "/esoui/art/campaign/overview_scoringbg_ebonheart_right.dds",
			["LOGO"] = "/esoui/art/campaign/overview_allianceicon_ebonheart.dds",
			["BANNER"] = "/esoui/art/guild/banner_ebonheart.dds",
		},

		[3] = -- DAGGERFALL
		{
			["LEFT"] = "/esoui/art/campaign/overview_scoringbg_daggerfall_left.dds",
			["RIGHT"] = "/esoui/art/campaign/overview_scoringbg_daggerfall_right.dds",
			["LOGO"] = "/esoui/art/campaign/overview_allianceicon_daggefall.dds",
			["BANNER"] = "/esoui/art/guild/banner_daggerfall.dds",
		},
	}


	function Codex.Tabs.LastKills:setHidden(argStatus)
		if argStatus then
			TAB_LastKills_button:SetNormalTexture(Textures.BUTTON_UP)
			UI_TAB_LASTKILL:SetHidden(true)
		else
			TAB_LastKills_button:SetNormalTexture(Textures.BUTTON_DOWN)
			CodexUI_TitleLabel:SetText("|cD39958CODEX |r - |c49838F".. Codex.Language:getPhrase("TAB_LASTKILL_TITLE"))
			UI_TAB_LASTKILL:SetHidden(false)
		end
	end

	function Codex.Tabs.LastKills:createButton( ControlAnchor, X, Y, control)
		if ControlAnchor then
			local Button = WINDOW_MANAGER:CreateControl("TAB_LastKills_button", ControlAnchor, CT_BUTTON)
			Button:SetDimensions(52, 52)
			Button:SetAnchor(TOPRIGHT, ControlAnchor, TOPRIGHT, X, Y)
			Button:SetNormalTexture(Textures.BUTTON_UP)
			Button:SetPressedTexture(Textures.BUTTON_DOWN)
			Button:SetMouseOverTexture(Textures.BUTTON_OVER)
			Button.data = {}
			Button.data.tooltipText = Codex.Language:getPhrase("TAB_LASTKILL_TOOLTIP")
			Button:SetHandler("OnMouseEnter", function() ZO_Options_OnMouseEnter(Button) end)
			Button:SetHandler("OnMouseExit", ZO_Options_OnMouseExit)
			Button:SetHandler("OnClicked", function() Codex.Tabs:setActiveTAB(TAB_LASTKILLS) end)
		end
	end

	function Codex.Tabs.LastKills:Initialize()
		self:BuildUI()
	end

	function Codex.Tabs.LastKills:BuildUI()
		local UI_TAB_LASTKILL = WINDOW_MANAGER:CreateControl("UI_TAB_LASTKILL", CodexUI)

		WINDOW_MANAGER:CreateControlFromVirtual("TAB_LASTKILLS_RESET",CodexUI_BACKGROUND, "ZO_DefaultButton")
		TAB_LASTKILLS_RESET:SetText(Codex.Language:getPhrase("TAB_LASTKILL_RESET"))
		TAB_LASTKILLS_RESET:SetAnchor(BOTTOM, CodexUI_BACKGROUND, BOTTOM)
		TAB_LASTKILLS_RESET:SetFont("ZoFontGameLargeBoldShadow")
		TAB_LASTKILLS_RESET:SetDimensions(256,35)
		TAB_LASTKILLS_RESET:SetParent(UI_TAB_LASTKILL)
		TAB_LASTKILLS_RESET:SetHandler("OnClicked", function()  Codex.Tabs.LastKills:reset() end)
		TAB_LASTKILLS_RESET:SetNormalTexture("/esoui/art/buttons/blade_closed_up.dds")
		TAB_LASTKILLS_RESET:SetPressedTexture("/esoui/art/buttons/blade_closed_down.dds")
		TAB_LASTKILLS_RESET:SetMouseOverTexture("/esoui/art/buttons/blade_open_up.dds")
		TAB_LASTKILLS_RESET:SetDisabledTexture("/esoui/art/buttons/blade_disabled.dds")
		TAB_LASTKILLS_RESET:SetEnabled(false)
		
		local baseX_Left = -200
		local baseY_Left = -300

		local baseX_Right = 300
		local baseY_Right = -300

		for I = 1, 6 do

			local Control = CreateControlFromVirtual("Virtual_LastkillRow", UI_TAB_LASTKILL, "Virtual_LastkillRow", I)
			local DetailsButton = GetControl("Virtual_LastkillRow".. I .."_DetailsButton")
			DetailsButton:SetAnchor(TOPRIGHT, Control, TOPRIGHT, 0, 30)
			DetailsButton.data = {}
			DetailsButton.data.tooltipText = "Show more details (Not implented yet)"
			DetailsButton:SetHandler("OnMouseEnter", function() ZO_Options_OnMouseEnter(DetailsButton) end)
			DetailsButton:SetHandler("OnMouseExit", ZO_Options_OnMouseExit)

			local control_y = baseY_Left + ( 100 * I )
			Control:SetAnchor(CENTER, CodexUI, Center, baseX_Left, control_y)
			Control:SetHidden(true)
		end

		for I = 1, 6 do
			local RealID = 6 + I
			local Control = CreateControlFromVirtual("Virtual_LastkillRow", UI_TAB_LASTKILL, "Virtual_LastkillRow", RealID)
			local DetailsButton = GetControl("Virtual_LastkillRow".. RealID .."_DetailsButton")
			DetailsButton:SetAnchor(TOPLEFT, Control, TOPLEFT, -50, 30)
			DetailsButton.data = {}
			DetailsButton.data.tooltipText = "Show more details (Not implented yet)"
			DetailsButton:SetHandler("OnMouseEnter", function() ZO_Options_OnMouseEnter(DetailsButton) end)
			DetailsButton:SetHandler("OnMouseExit", ZO_Options_OnMouseExit)

			local control_y = baseY_Right + ( 100 * I )
			Control:SetAnchor(CENTER, CodexUI, Center, baseX_Right, control_y)
			Control:SetHidden(true)
		end
	end

	function Codex.Tabs.LastKills:reset()
		local limit = 12

		for I = 1, limit do
			local controlName = "Virtual_LastkillRow" .. I
			GetControl(controlName):SetHidden(true)
		end

		Codex.Events.HistoryKills = nil
		Codex.Events.HistoryKills = {}
		
		TAB_LASTKILLS_RESET:SetEnabled(false)
	end


	function Codex.Tabs.LastKills:setValue(argTable)
		local limit = 12
		local ID = 0
		table.sort(argTable, function( entry_a, entry_b) return entry_a.time > entry_b.time	end)
		for key, value in pairs(argTable) do
			ID = ID + 1
			if ID <= limit then
				local Control = GetControl("Virtual_LastkillRow".. ID)
					  Control:SetHidden(false)
				local BG_LEFT = GetControl("Virtual_LastkillRow".. ID .."_BGLeft")
					  BG_LEFT:SetTexture(Textures[value.alliance].LEFT)

				local BG_RIGHT = GetControl("Virtual_LastkillRow".. ID .."_BGRight")
					  BG_RIGHT:SetTexture(Textures[value.alliance].RIGHT)

				local Name = GetControl("Virtual_LastkillRow".. ID .."_Name")
					  Name:SetText(value.playerName)  

				local Class = GetControl("Virtual_LastkillRow".. ID .."_ClassName")
					  Class:SetText(Codex.Tabs.Kills:getClassInfos(value.class).name)

				local AllianceLogo = GetControl("Virtual_LastkillRow".. ID .."_AllianceLogo")
					  AllianceLogo:SetNormalTexture(Textures[value.alliance].LOGO)
			end
		end
		if table.Count(argTable) > 0 then
			TAB_LASTKILLS_RESET:SetEnabled(true)
		end
	end

--]]
	