
	Codex.Tabs.Overview = {}
	local Textures = {
	
		["BUTTON_UP"] = "/esoui/art/campaign/campaign_tabicon_summary_up.dds",
		["BUTTON_DOWN"] = "/esoui/art/campaign/campaign_tabicon_summary_down.dds",
		["BUTTON_OVER"] = "/esoui/art/campaign/campaign_tabicon_summary_over.dds",

		["TOOGLE_STATS_UP"] = "/esoui/art/campaign/overview_indexicon_scoring_up.dds",
		["TOOGLE_STATS_DOWN"] = "/esoui/art/campaign/overview_indexicon_scoring_down.dds",
		["TOOGLE_STATS_OVER"] = "/esoui/art/campaign/overview_indexicon_scoring_over.dds",
		["TOOGLE_STATS_DISABLED"] = "/esoui/art/campaign/overview_indexicon_scoring_disabled.dds",
		[1] = -- ALDMERI
		{
			["LEFT"] = "/esoui/art/campaign/overview_scoringbg_aldmeri_left.dds",
			["RIGHT"] = "/esoui/art/campaign/overview_scoringbg_aldmeri_right.dds",
			["LOGO"] = "/esoui/art/campaign/overview_allianceicon_aldmeri.dds",
			["KEEP"] = "/esoui/art/campaign/overview_keepicon_aldmeri.dds",
			["OUTPOST"] = "/esoui/art/campaign/overview_outposticon_aldmeri.dds",
			["RESSOURCE"] = "/esoui/art/campaign/overview_resourcesicon_aldmeri.dds",
			["SCROLL"] = "/esoui/art/campaign/overview_scrollicon_aldmeri.dds",

			["BANNER"] = "/esoui/art/guild/banner_aldmeri.dds",
		},

		[2] = -- EBONHEART
		{
			["LEFT"] = "/esoui/art/campaign/overview_scoringbg_ebonheart_left.dds",
			["RIGHT"] = "/esoui/art/campaign/overview_scoringbg_ebonheart_right.dds",
			["LOGO"] = "/esoui/art/campaign/overview_allianceicon_ebonheart.dds",
			["KEEP"] = "/esoui/art/campaign/overview_keepicon_ebonheart.dds",
			["OUTPOST"] = "/esoui/art/campaign/overview_outposticon_ebonheart.dds",
			["RESSOURCE"] = "/esoui/art/campaign/overview_resourcesicon_ebonheart.dds",
			["SCROLL"] = "/esoui/art/campaign/overview_scrollicon_ebonheart.dds",

			["BANNER"] = "/esoui/art/guild/banner_ebonheart.dds",
		},

		[3] = -- DAGGERFALL
		{
			["LEFT"] = "/esoui/art/campaign/overview_scoringbg_daggerfall_left.dds",
			["RIGHT"] = "/esoui/art/campaign/overview_scoringbg_daggerfall_right.dds",
			["LOGO"] = "/esoui/art/campaign/overview_allianceicon_daggefall.dds",
			["KEEP"] = "/esoui/art/campaign/overview_keepicon_daggefall.dds",
			["OUTPOST"] = "/esoui/art/campaign/overview_outposticon_daggefall.dds",
			["RESSOURCE"] = "/esoui/art/campaign/overview_resourcesicon_daggefall.dds",
			["SCROLL"] = "/esoui/art/campaign/overview_scrollicon_daggefall.dds",

			["BANNER"] = "/esoui/art/guild/banner_daggerfall.dds",
		},
	}

	function Codex.Tabs.Overview:setHidden(argStatus)
		if argStatus then
			TAB_Overview_button:SetNormalTexture(Textures.BUTTON_UP)
			UI_TAB_OVERVIEW:SetHidden(true)
		else
			TAB_Overview_button:SetNormalTexture(Textures.BUTTON_DOWN)
			CodexUI_TitleLabel:SetText("|cD39958CODEX |r - |c49838F".. Codex.Language:getPhrase("TAB_OVERVIEW_TITLE"))
			UI_TAB_OVERVIEW:SetHidden(false)
		end
	end

	function Codex.Tabs.Overview:createButton( ControlAnchor, X, Y)
		if ControlAnchor then
			local Button = WINDOW_MANAGER:CreateControl("TAB_Overview_button", ControlAnchor, CT_BUTTON)
			Button:SetDimensions(52, 52)
			Button:SetAnchor(TOPRIGHT, ControlAnchor, TOPRIGHT, X, Y)
			Button:SetNormalTexture(Textures.BUTTON_UP)
			Button:SetPressedTexture(Textures.BUTTON_DOWN)
			Button:SetMouseOverTexture(Textures.BUTTON_OVER)
			Button.data = {}
			Button.data.tooltipText = Codex.Language:getPhrase("TAB_OVERVIEW_TOOLTIP")
			Button:SetHandler("OnMouseEnter", function() ZO_Options_OnMouseEnter(Button) end)
			Button:SetHandler("OnMouseExit", ZO_Options_OnMouseExit)
			Button:SetHandler("OnClicked", function() Codex.Tabs:setActiveTAB(TAB_OVERVIEW) end)
		end
	end


	function Codex.Tabs.Overview:Initialize()
		self:BuildUI()
		self:updateUI()
	end

	function Codex.Tabs.Overview:updateUI()

		-- Combats Stats
		UTOC_Kills:SetText(Codex.Language:getPhrase("TAB_OVERVIEw_COMBATS_Kills", Codex.Settings.SavedVars.Combats_Stats.Kills))
		UTOC_Death:SetText(Codex.Language:getPhrase("TAB_OVERVIEw_COMBATS_Death", Codex.Settings.SavedVars.Combats_Stats.Death))
		UTOC_Streak:SetText(Codex.Language:getPhrase("TAB_OVERVIEw_COMBATS_KillStreak", Codex.Settings.SavedVars.Combats_Stats.KillStreak))


		-- Empire Stats
		UTOE_Kills:SetText(Codex.Language:getPhrase("TAB_OVERVIEw_EMPIRE_EMPERORKILLED", Codex.Settings.SavedVars.Empire_Stats.Emperor_killed))
		UTOE_Crowned:SetText(Codex.Language:getPhrase("TAB_OVERVIEw_EMPIRE_CROWNED", Codex.Settings.SavedVars.Empire_Stats.Crowned))

		-- Session Stats
		UTOS_AP:SetText(Codex.Language:getPhrase("TAB_OVERVIEW_SESSION_AP", Codex.Session.AlliancePoints) .. " " ..Codex.Language:getPhrase("TAB_OVERVIEW_SESSION_APH", Codex.Settings.SavedVars.Empire_Stats.Crowned))
		UTOS_KILLS:SetText(Codex.Language:getPhrase("TAB_OVERVIEW_SESSION_KILLS", Codex.Session.PlayerKilled))
		UTOS_DEATH:SetText(Codex.Language:getPhrase("TAB_OVERVIEW_SESSION_DEATH", Codex.Session.PlayerDeath))
		UTOS_HEAL:SetText(Codex.Language:getPhrase("TAB_OVERVIEW_SESSION_HEAL", Codex.Session.LifePointsHealed))
	end

	function Codex.Tabs.Overview:BuildUI()
		local GuiRoot = WINDOW_MANAGER:GetControlByName("GuiRoot")
		local width =  GuiRoot:GetWidth() / 2
		local height = GuiRoot:GetHeight() / 1.8

		WINDOW_MANAGER:CreateControl("UI_TAB_OVERVIEW", CodexUI)
		--UI_TAB_OVERVIEW:SetAnchor(CENTERTOP, CodexUI, CENTERTOP, 0,0)

		WINDOW_MANAGER:CreateControlFromVirtual("UI_TAB_OVERVIEW_COMBATS_TITLE", CodexUI_BACKGROUND, "ZO_PanelTitle")
		UI_TAB_OVERVIEW_COMBATS_TITLE:SetDimensions(0, 50)
		UI_TAB_OVERVIEW_COMBATS_TITLE:SetParent(UI_TAB_OVERVIEW)
		UI_TAB_OVERVIEW_COMBATS_TITLE:SetAnchor(BOTTOM, CodexUI_BACKGROUND, BOTTOM, -950, -650)
		UI_TAB_OVERVIEW_COMBATS_TITLELabel:SetText("|c0780A7".. Codex.Language:getPhrase("TAB_OVERVIEw_COMBATS_TITLE"))
		UI_TAB_OVERVIEW_COMBATS_TITLELabel:SetFont("ZoFontBookSkin")
		UI_TAB_OVERVIEW_COMBATS_TITLELabel:SetAnchor(CENTER, UI_TAB_OVERVIEW_COMBATS_TITLEDivider, CENTER, -20, -15)
		UI_TAB_OVERVIEW_COMBATS_TITLEDivider:SetDimensions(600,2)


		WINDOW_MANAGER:CreateControl("UTOC_Kills", CodexUI, CT_LABEL)
		UTOC_Kills:SetParent(UI_TAB_OVERVIEW)
		UTOC_Kills:SetAnchor(CENTER, UI_TAB_OVERVIEW_COMBATS_TITLELabel, CENTER, 0, 35)
		UTOC_Kills:SetFont("ZoFontAlert")

		WINDOW_MANAGER:CreateControl("UTOC_Death", CodexUI, CT_LABEL)
		UTOC_Death:SetParent(UI_TAB_OVERVIEW)
		UTOC_Death:SetAnchor(CENTER, UTOC_Kills, CENTER, 0, 30)
		UTOC_Death:SetFont("ZoFontAlert")

		WINDOW_MANAGER:CreateControl("UTOC_Streak", CodexUI, CT_LABEL)
		UTOC_Streak:SetParent(UI_TAB_OVERVIEW)
		UTOC_Streak:SetAnchor(CENTER, UTOC_Death, CENTER, 0, 30)
		UTOC_Streak:SetFont("ZoFontAlert")

		WINDOW_MANAGER:CreateControlFromVirtual("UI_TAB_OVERVIEW_EMPEROR_TITLE", CodexUI_BACKGROUND, "ZO_PanelTitle")
		UI_TAB_OVERVIEW_EMPEROR_TITLE:SetDimensions(0, 50)
		UI_TAB_OVERVIEW_EMPEROR_TITLE:SetParent(UI_TAB_OVERVIEW)
		UI_TAB_OVERVIEW_EMPEROR_TITLE:SetAnchor(BOTTOM, CodexUI_BACKGROUND, BOTTOM, -60, -650)
		UI_TAB_OVERVIEW_EMPEROR_TITLELabel:SetText("|c0780A7".. Codex.Language:getPhrase("TAB_OVERVIEw_EMPIRE_TITLE"))
		UI_TAB_OVERVIEW_EMPEROR_TITLELabel:SetFont("ZoFontBookSkin")
		UI_TAB_OVERVIEW_EMPEROR_TITLELabel:SetAnchor(CENTER, UI_TAB_OVERVIEW_EMPEROR_TITLEDivider, CENTER, -20, -15)
		UI_TAB_OVERVIEW_EMPEROR_TITLEDivider:SetDimensions(600,2)

		WINDOW_MANAGER:CreateControl("UTOE_Kills", CodexUI, CT_LABEL)
		UTOE_Kills:SetParent(UI_TAB_OVERVIEW)
		UTOE_Kills:SetAnchor(CENTER, UI_TAB_OVERVIEW_EMPEROR_TITLELabel, CENTER, 0, 35)
		UTOE_Kills:SetFont("ZoFontAlert")

		WINDOW_MANAGER:CreateControl("UTOE_Crowned", CodexUI, CT_LABEL)
		UTOE_Crowned:SetParent(UI_TAB_OVERVIEW)
		UTOE_Crowned:SetAnchor(CENTER, UTOE_Kills, CENTER, 0, 30)
		UTOE_Crowned:SetFont("ZoFontAlert")

		WINDOW_MANAGER:CreateControlFromVirtual("UI_TAB_OVERVIEW_SESSION_TITLE", CodexUI_BACKGROUND, "ZO_PanelTitle")
		UI_TAB_OVERVIEW_SESSION_TITLE:SetParent(UI_TAB_OVERVIEW)
		UI_TAB_OVERVIEW_SESSION_TITLE:SetDimensions(0, 50)
		UI_TAB_OVERVIEW_SESSION_TITLE:SetAnchor(BOTTOM, CodexUI_BACKGROUND, BOTTOM, -500, -450)
		UI_TAB_OVERVIEW_SESSION_TITLELabel:SetText("|c0780A7".. Codex.Language:getPhrase("TAB_OVERVIEW_SESSION_TITLE"))
		UI_TAB_OVERVIEW_SESSION_TITLELabel:SetFont("ZoFontBookSkin")
		UI_TAB_OVERVIEW_SESSION_TITLELabel:SetAnchor(CENTER, UI_TAB_OVERVIEW_SESSION_TITLEDivider, CENTER, 0, -15)
		UI_TAB_OVERVIEW_SESSION_TITLEDivider:SetDimensions(width + 200,2)

		WINDOW_MANAGER:CreateControl("UTOS_AP", UI_TAB_OVERVIEW, CT_LABEL)
		UTOS_AP:SetParent(UI_TAB_OVERVIEW)
		UTOS_AP:SetAnchor(CENTER, UI_TAB_OVERVIEW_SESSION_TITLEDivider, CENTER, 0, 50)
		UTOS_AP:SetFont("ZoFontAlert")

		WINDOW_MANAGER:CreateControl("UTOS_KILLS", UI_TAB_OVERVIEW, CT_LABEL)
		UTOS_KILLS:SetParent(UI_TAB_OVERVIEW)
		UTOS_KILLS:SetAnchor(CENTER, UTOS_AP, CENTER, 0, 30)
		UTOS_KILLS:SetFont("ZoFontAlert")

		WINDOW_MANAGER:CreateControl("UTOS_DEATH", UI_TAB_OVERVIEW, CT_LABEL)
		UTOS_DEATH:SetParent(UTOS_KILLS)
		UTOS_DEATH:SetAnchor(CENTER, TAB_OVERVIEW_SESSION_KILLS, CENTER, 0, 30)
		UTOS_DEATH:SetFont("ZoFontAlert")

		WINDOW_MANAGER:CreateControl("UTOS_HEAL", UI_TAB_OVERVIEW, CT_LABEL)
		UTOS_HEAL:SetParent(UTOS_DEATH)
		UTOS_HEAL:SetAnchor(CENTER, TAB_OVERVIEW_SESSION_DEATH, CENTER, 0, 30)
		UTOS_HEAL:SetFont("ZoFontAlert")

		WINDOW_MANAGER:CreateControlFromVirtual("UTOS_ENABLE_UI",UI_TAB_OVERVIEW, "ZO_DefaultButton")
		UTOS_ENABLE_UI:SetAnchor(CENTER,  UTOS_HEAL, CENTER,0, 135)
		UTOS_ENABLE_UI:SetFont("ZoFontGameLargeBoldShadow")
		UTOS_ENABLE_UI:SetDimensions(256,35)
		UTOS_ENABLE_UI:SetHandler("OnClicked", function() 
			if Codex.Settings.SavedVars.SESSION.UI.Enable then
				Codex.Settings.SavedVars.SESSION.UI.Enable = false
				UTOS_ENABLE_UI:SetText(Codex.Language:getPhrase("TAB_OVERVIEW_SESSION_TurnON"))
				CodexSessionUI:SetHidden(true)
			else
				Codex.Settings.SavedVars.SESSION.UI.Enable = true
				UTOS_ENABLE_UI:SetText(Codex.Language:getPhrase("TAB_OVERVIEW_SESSION_TurnOFF"))	
				CodexSessionUI:SetHidden(false)	
			end
		end)
		UTOS_ENABLE_UI:SetNormalTexture("/esoui/art/buttons/blade_closed_up.dds")
		UTOS_ENABLE_UI:SetPressedTexture("/esoui/art/buttons/blade_closed_down.dds")
		UTOS_ENABLE_UI:SetMouseOverTexture("/esoui/art/buttons/blade_open_up.dds")
		-- Initialize Session UI
			Codex.Tabs.Overview:Initialize_SessionUI()


		WINDOW_MANAGER:CreateControlFromVirtual("UTOS_RESETBUTTON",UI_TAB_OVERVIEW, "ZO_DefaultButton")
		UTOS_RESETBUTTON:SetText(Codex.Language:getPhrase("TAB_OVERVIEW_SESSION_RESETBUTTON"))
		UTOS_RESETBUTTON:SetAnchor(CENTER,  UTOS_ENABLE_UI, CENTER,0, 45)
		UTOS_RESETBUTTON:SetFont("ZoFontGameLargeBoldShadow")
		UTOS_RESETBUTTON:SetDimensions(256,35)
		UTOS_RESETBUTTON:SetHandler("OnClicked", function()  Codex.Events:resetSession() end)
		UTOS_RESETBUTTON:SetNormalTexture("/esoui/art/buttons/blade_closed_up.dds")
		UTOS_RESETBUTTON:SetPressedTexture("/esoui/art/buttons/blade_closed_down.dds")
		UTOS_RESETBUTTON:SetMouseOverTexture("/esoui/art/buttons/blade_open_up.dds")
		UTOS_RESETBUTTON:SetDisabledTexture("/esoui/art/buttons/blade_disabled.dds")
		UTOS_RESETBUTTON:SetEnabled(false)
		
		local AllianceBanner = WINDOW_MANAGER:CreateControl("AllianceBanner", CodexUI_BACKGROUND, CT_TEXTURE)
		AllianceBanner:SetTexture(Textures[GetUnitAlliance('player')].BANNER)
		AllianceBanner:SetDimensions(200,500)
		AllianceBanner:SetAnchor(BOTTOM,  CodexUI_BACKGROUND, BOTTOM, -360 , 60)
		AllianceBanner:SetParent(UI_TAB_OVERVIEW)

		local AllianceBanner_Right = WINDOW_MANAGER:CreateControl("AllianceBanner_Right", CodexUI_BACKGROUND, CT_TEXTURE)
		AllianceBanner_Right:SetTexture(Textures[GetUnitAlliance('player')].BANNER)
		AllianceBanner_Right:SetDimensions(200,500)
		AllianceBanner_Right:SetAnchor(BOTTOM,  CodexUI_BACKGROUND, BOTTOM, 400 , 60)
		AllianceBanner_Right:SetParent(UI_TAB_OVERVIEW)	


		local TAB_OVERVIEW_BOTTOM = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM", CodexUI_BACKGROUND)
		TAB_OVERVIEW_BOTTOM:SetAnchor(BOTTOM, CodexUI_BACKGROUND, BOTTOM)
		TAB_OVERVIEW_BOTTOM:SetParent(UI_TAB_OVERVIEW)

		local TAB_OVERVIEW_BOTTOM_LEFT = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_LEFT", TAB_OVERVIEW_BOTTOM, CT_TEXTURE)
		TAB_OVERVIEW_BOTTOM_LEFT:SetTexture(Textures[GetUnitAlliance('player')].LEFT)
		TAB_OVERVIEW_BOTTOM_LEFT:SetDimensions(450,200)
		TAB_OVERVIEW_BOTTOM_LEFT:SetAnchor(RIGHT,  TAB_OVERVIEW_BOTTOM, RIGHT, -30 , 0)

		local TAB_OVERVIEW_BOTTOM_RIGHT = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_RIGHT", TAB_OVERVIEW_BOTTOM, CT_TEXTURE)
		TAB_OVERVIEW_BOTTOM_RIGHT:SetTexture(Textures[GetUnitAlliance('player')].RIGHT)
		TAB_OVERVIEW_BOTTOM_RIGHT:SetDimensions(220,200)
		TAB_OVERVIEW_BOTTOM_RIGHT:SetAnchor(CENTER,  TAB_OVERVIEW_BOTTOM_LEFT, CENTER,320,0)


		local TAB_OVERVIEW_BOTTOM_LOGO = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_LOGO", TAB_OVERVIEW_BOTTOM, CT_TEXTURE)
		TAB_OVERVIEW_BOTTOM_LOGO:SetTexture(Textures[GetUnitAlliance('player')].LOGO)
		TAB_OVERVIEW_BOTTOM_LOGO:SetDimensions(54,54)
		TAB_OVERVIEW_BOTTOM_LOGO:SetAnchor(LEFT,  TAB_OVERVIEW_BOTTOM_LEFT, LEFT,20,-70)
		TAB_OVERVIEW_BOTTOM_LOGO:SetHidden(true)

		local TAB_OVERVIEW_BOTTOM_LOGO_LABEL = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_LOGO_LABEL", TAB_OVERVIEW_BOTTOM, CT_LABEL)
		TAB_OVERVIEW_BOTTOM_LOGO_LABEL:SetText(Codex.Language:getPhrase("TAB_OVERVIEW_BOTTOM_TITLE_CAPTURE"))
		TAB_OVERVIEW_BOTTOM_LOGO_LABEL:SetFont("ZoFontHeader")
		TAB_OVERVIEW_BOTTOM_LOGO_LABEL:SetAnchor(LEFT, TAB_OVERVIEW_BOTTOM_LOGO, LEFT, 150, 0)


		local TAB_OVERVIEW_BOTTOM_KEEPS = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_KEEPS", TAB_OVERVIEW_BOTTOM, CT_BUTTON)
		TAB_OVERVIEW_BOTTOM_KEEPS:SetNormalTexture(Textures[GetUnitAlliance('player')].KEEP)
		TAB_OVERVIEW_BOTTOM_KEEPS:SetDimensions(64,64)
		TAB_OVERVIEW_BOTTOM_KEEPS:SetAnchor(LEFT,  TAB_OVERVIEW_BOTTOM_LEFT, LEFT,60,-30)
		TAB_OVERVIEW_BOTTOM_KEEPS.data = {}
		TAB_OVERVIEW_BOTTOM_KEEPS.data.tooltipText = Codex.Language:getPhrase("TAB_OVERVIEW_BOTTOM_TOOLTIP_KEEP_CAPTURED")
		TAB_OVERVIEW_BOTTOM_KEEPS:SetHandler("OnMouseEnter", function() ZO_Options_OnMouseEnter(TAB_OVERVIEW_BOTTOM_KEEPS) end)
		TAB_OVERVIEW_BOTTOM_KEEPS:SetHandler("OnMouseExit", ZO_Options_OnMouseExit)

		local TAB_OVERVIEW_BOTTOM_KEEPS_LABEL = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_KEEPS_LABEL", TAB_OVERVIEW_BOTTOM, CT_LABEL)
		TAB_OVERVIEW_BOTTOM_KEEPS_LABEL:SetText("x ".. Codex.Settings.SavedVars.RvR_Stats.KEEP.Captured)
		TAB_OVERVIEW_BOTTOM_KEEPS_LABEL:SetFont("ZoFontHeader")
		TAB_OVERVIEW_BOTTOM_KEEPS_LABEL:SetAnchor(CENTER,  TAB_OVERVIEW_BOTTOM_KEEPS, CENTER,30,0)


		local TAB_OVERVIEW_BOTTOM_OUTPOST = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_OUTPOST", TAB_OVERVIEW_BOTTOM, CT_BUTTON)
		TAB_OVERVIEW_BOTTOM_OUTPOST:SetNormalTexture(Textures[GetUnitAlliance('player')].OUTPOST)
		TAB_OVERVIEW_BOTTOM_OUTPOST:SetDimensions(64,64)
		TAB_OVERVIEW_BOTTOM_OUTPOST:SetAnchor(LEFT,  TAB_OVERVIEW_BOTTOM_KEEPS, LEFT,110,0)
		TAB_OVERVIEW_BOTTOM_OUTPOST.data = {}
		TAB_OVERVIEW_BOTTOM_OUTPOST.data.tooltipText = Codex.Language:getPhrase("TAB_OVERVIEW_BOTTOM_TOOLTIP_OUTPOST_CAPTURED")
		TAB_OVERVIEW_BOTTOM_OUTPOST:SetHandler("OnMouseEnter", function() ZO_Options_OnMouseEnter(TAB_OVERVIEW_BOTTOM_OUTPOST) end)
		TAB_OVERVIEW_BOTTOM_OUTPOST:SetHandler("OnMouseExit", ZO_Options_OnMouseExit)

		local TAB_OVERVIEW_BOTTOM_OUTPOST_LABEL = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_OUTPOST_LABEL", TAB_OVERVIEW_BOTTOM, CT_LABEL)
		TAB_OVERVIEW_BOTTOM_OUTPOST_LABEL:SetText("x ".. Codex.Settings.SavedVars.RvR_Stats.OUTPOST.Captured)
		TAB_OVERVIEW_BOTTOM_OUTPOST_LABEL:SetFont("ZoFontHeader")
		TAB_OVERVIEW_BOTTOM_OUTPOST_LABEL:SetAnchor(CENTER,  TAB_OVERVIEW_BOTTOM_OUTPOST, CENTER,33,0)


		local TAB_OVERVIEW_BOTTOM_RESSOURCES = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_RESSOURCES", TAB_OVERVIEW_BOTTOM, CT_BUTTON)
		TAB_OVERVIEW_BOTTOM_RESSOURCES:SetNormalTexture(Textures[GetUnitAlliance('player')].RESSOURCE)
		TAB_OVERVIEW_BOTTOM_RESSOURCES:SetDimensions(64,64)
		TAB_OVERVIEW_BOTTOM_RESSOURCES:SetAnchor(LEFT,  TAB_OVERVIEW_BOTTOM_OUTPOST, LEFT,110,0)
		TAB_OVERVIEW_BOTTOM_RESSOURCES.data = {}
		TAB_OVERVIEW_BOTTOM_RESSOURCES.data.tooltipText = Codex.Language:getPhrase("TAB_OVERVIEW_BOTTOM_TOOLTIP_RESSOURCE_CAPTURED")
		TAB_OVERVIEW_BOTTOM_RESSOURCES:SetHandler("OnMouseEnter", function() ZO_Options_OnMouseEnter(TAB_OVERVIEW_BOTTOM_RESSOURCES) end)
		TAB_OVERVIEW_BOTTOM_RESSOURCES:SetHandler("OnMouseExit", ZO_Options_OnMouseExit)

		local TAB_OVERVIEW_BOTTOM_RESSOURCES_LABEL = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_RESSOURCES_LABEL", TAB_OVERVIEW_BOTTOM, CT_LABEL)
		TAB_OVERVIEW_BOTTOM_RESSOURCES_LABEL:SetText("x ".. Codex.Settings.SavedVars.RvR_Stats.RESSOURCE.Captured)
		TAB_OVERVIEW_BOTTOM_RESSOURCES_LABEL:SetFont("ZoFontHeader")
		TAB_OVERVIEW_BOTTOM_RESSOURCES_LABEL:SetAnchor(CENTER,  TAB_OVERVIEW_BOTTOM_RESSOURCES, CENTER,35,0)


		local TAB_OVERVIEW_BOTTOM_SCROLLS = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_SCROLLS", TAB_OVERVIEW_BOTTOM, CT_BUTTON)
		TAB_OVERVIEW_BOTTOM_SCROLLS:SetNormalTexture(Textures[GetUnitAlliance('player')].SCROLL)
		TAB_OVERVIEW_BOTTOM_SCROLLS:SetDimensions(64,64)
		TAB_OVERVIEW_BOTTOM_SCROLLS:SetAnchor(LEFT,  TAB_OVERVIEW_BOTTOM_RESSOURCES, LEFT,110,0)
		TAB_OVERVIEW_BOTTOM_SCROLLS.data = {}
		TAB_OVERVIEW_BOTTOM_SCROLLS.data.tooltipText = Codex.Language:getPhrase("TAB_OVERVIEW_BOTTOM_TOOLTIP_SCROLL_CAPTURED")
		TAB_OVERVIEW_BOTTOM_SCROLLS:SetHandler("OnMouseEnter", function() ZO_Options_OnMouseEnter(TAB_OVERVIEW_BOTTOM_SCROLLS) end)
		TAB_OVERVIEW_BOTTOM_SCROLLS:SetHandler("OnMouseExit", ZO_Options_OnMouseExit)


		local TAB_OVERVIEW_BOTTOM_SCROLLS_LABEL = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_SCROLLS_LABEL", TAB_OVERVIEW_BOTTOM, CT_LABEL)
		TAB_OVERVIEW_BOTTOM_SCROLLS_LABEL:SetText("x ".. Codex.Settings.SavedVars.RvR_Stats.SCROLL.Captured)
		TAB_OVERVIEW_BOTTOM_SCROLLS_LABEL:SetFont("ZoFontHeader")
		TAB_OVERVIEW_BOTTOM_SCROLLS_LABEL:SetAnchor(CENTER,  TAB_OVERVIEW_BOTTOM_SCROLLS, CENTER,40,0)


		local TAB_OVERVIEW_BOTTOM_LEFT_DEFEND = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_LEFT_DEFEND", TAB_OVERVIEW_BOTTOM, CT_TEXTURE)
		TAB_OVERVIEW_BOTTOM_LEFT_DEFEND:SetTexture(Textures[GetUnitAlliance('player')].LEFT)
		TAB_OVERVIEW_BOTTOM_LEFT_DEFEND:SetDimensions(400,200)
		TAB_OVERVIEW_BOTTOM_LEFT_DEFEND:SetAnchor(LEFT,  TAB_OVERVIEW_BOTTOM, LEFT, 0 , 0)

		local TAB_OVERVIEW_BOTTOM_RIGHT_DEFEND = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_RIGHT_DEFEND", TAB_OVERVIEW_BOTTOM, CT_TEXTURE)
		TAB_OVERVIEW_BOTTOM_RIGHT_DEFEND:SetTexture(Textures[GetUnitAlliance('player')].RIGHT)
		TAB_OVERVIEW_BOTTOM_RIGHT_DEFEND:SetDimensions(220,200)
		TAB_OVERVIEW_BOTTOM_RIGHT_DEFEND:SetAnchor(CENTER,  TAB_OVERVIEW_BOTTOM_LEFT_DEFEND, CENTER,300,0)



		local TAB_OVERVIEW_BOTTOM_LOGO_LABEL_DEFEND = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_LOGO_LABEL_DEFEND", TAB_OVERVIEW_BOTTOM, CT_LABEL)
		TAB_OVERVIEW_BOTTOM_LOGO_LABEL_DEFEND:SetText(Codex.Language:getPhrase("TAB_OVERVIEW_BOTTOM_TITLE_DENFED"))
		TAB_OVERVIEW_BOTTOM_LOGO_LABEL_DEFEND:SetFont("ZoFontHeader")
		TAB_OVERVIEW_BOTTOM_LOGO_LABEL_DEFEND:SetAnchor(LEFT,  TAB_OVERVIEW_BOTTOM_LEFT_DEFEND, LEFT,150,-70)


		local TAB_OVERVIEW_BOTTOM_KEEPS_DEFEND = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_TITLE_DEFEND", TAB_OVERVIEW_BOTTOM, CT_BUTTON)
		TAB_OVERVIEW_BOTTOM_KEEPS_DEFEND:SetNormalTexture(Textures[GetUnitAlliance('player')].KEEP)
		TAB_OVERVIEW_BOTTOM_KEEPS_DEFEND:SetDimensions(64,64)
		TAB_OVERVIEW_BOTTOM_KEEPS_DEFEND:SetAnchor(LEFT,  TAB_OVERVIEW_BOTTOM_LEFT_DEFEND, LEFT,30,-30)
		TAB_OVERVIEW_BOTTOM_KEEPS_DEFEND.data = {}
		TAB_OVERVIEW_BOTTOM_KEEPS_DEFEND.data.tooltipText = Codex.Language:getPhrase("TAB_OVERVIEW_BOTTOM_TOOLTIP_KEEP_DEFENDED")
		TAB_OVERVIEW_BOTTOM_KEEPS_DEFEND:SetHandler("OnMouseEnter", function() ZO_Options_OnMouseEnter(TAB_OVERVIEW_BOTTOM_KEEPS_DEFEND) end)
		TAB_OVERVIEW_BOTTOM_KEEPS_DEFEND:SetHandler("OnMouseExit", ZO_Options_OnMouseExit)

		local TAB_OVERVIEW_BOTTOM_KEEPS_LABEL_DEFEND = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_KEEPS_LABEL_DEFEND", TAB_OVERVIEW_BOTTOM, CT_LABEL)
		TAB_OVERVIEW_BOTTOM_KEEPS_LABEL_DEFEND:SetText("x ".. Codex.Settings.SavedVars.RvR_Stats.KEEP.Defended)
		TAB_OVERVIEW_BOTTOM_KEEPS_LABEL_DEFEND:SetFont("ZoFontHeader")
		TAB_OVERVIEW_BOTTOM_KEEPS_LABEL_DEFEND:SetAnchor(CENTER,  TAB_OVERVIEW_BOTTOM_KEEPS_DEFEND, CENTER,30,0)


		local TAB_OVERVIEW_BOTTOM_OUTPOST_DEFEND = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_OUTPOST_DEFEND", TAB_OVERVIEW_BOTTOM, CT_BUTTON)
		TAB_OVERVIEW_BOTTOM_OUTPOST_DEFEND:SetNormalTexture(Textures[GetUnitAlliance('player')].OUTPOST)
		TAB_OVERVIEW_BOTTOM_OUTPOST_DEFEND:SetDimensions(64,64)
		TAB_OVERVIEW_BOTTOM_OUTPOST_DEFEND:SetAnchor(LEFT,  TAB_OVERVIEW_BOTTOM_KEEPS_DEFEND, LEFT,110,0)
		TAB_OVERVIEW_BOTTOM_OUTPOST_DEFEND.data = {}
		TAB_OVERVIEW_BOTTOM_OUTPOST_DEFEND.data.tooltipText = Codex.Language:getPhrase("TAB_OVERVIEW_BOTTOM_TOOLTIP_OUTPOST_DEFENDED")
		TAB_OVERVIEW_BOTTOM_OUTPOST_DEFEND:SetHandler("OnMouseEnter", function() ZO_Options_OnMouseEnter(TAB_OVERVIEW_BOTTOM_OUTPOST_DEFEND) end)
		TAB_OVERVIEW_BOTTOM_OUTPOST_DEFEND:SetHandler("OnMouseExit", ZO_Options_OnMouseExit)

		local TAB_OVERVIEW_BOTTOM_OUTPOST_LABEL_DEFEND = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_OUTPOST_LABEL_DEFEND", TAB_OVERVIEW_BOTTOM, CT_LABEL)
		TAB_OVERVIEW_BOTTOM_OUTPOST_LABEL_DEFEND:SetText("x ".. Codex.Settings.SavedVars.RvR_Stats.OUTPOST.Defended)
		TAB_OVERVIEW_BOTTOM_OUTPOST_LABEL_DEFEND:SetFont("ZoFontHeader")
		TAB_OVERVIEW_BOTTOM_OUTPOST_LABEL_DEFEND:SetAnchor(CENTER,  TAB_OVERVIEW_BOTTOM_OUTPOST_DEFEND, CENTER,33,0)


		local TAB_OVERVIEW_BOTTOM_RESSOURCES_DEFEND = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_RESSOURCES_DEFEND", TAB_OVERVIEW_BOTTOM, CT_BUTTON)
		TAB_OVERVIEW_BOTTOM_RESSOURCES_DEFEND:SetNormalTexture(Textures[GetUnitAlliance('player')].RESSOURCE)
		TAB_OVERVIEW_BOTTOM_RESSOURCES_DEFEND:SetDimensions(64,64)
		TAB_OVERVIEW_BOTTOM_RESSOURCES_DEFEND:SetAnchor(LEFT,  TAB_OVERVIEW_BOTTOM_OUTPOST_DEFEND, LEFT,110,0)
		TAB_OVERVIEW_BOTTOM_RESSOURCES_DEFEND.data = {}
		TAB_OVERVIEW_BOTTOM_RESSOURCES_DEFEND.data.tooltipText = Codex.Language:getPhrase("TAB_OVERVIEW_BOTTOM_TOOLTIP_RESSOURCE_DEFENDED")
		TAB_OVERVIEW_BOTTOM_RESSOURCES_DEFEND:SetHandler("OnMouseEnter", function() ZO_Options_OnMouseEnter(TAB_OVERVIEW_BOTTOM_RESSOURCES_DEFEND) end)
		TAB_OVERVIEW_BOTTOM_RESSOURCES_DEFEND:SetHandler("OnMouseExit", ZO_Options_OnMouseExit)

		local TAB_OVERVIEW_BOTTOM_RESSOURCES_LABEL_DEFEND = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_RESSOURCES_LABEL_DEFEND", TAB_OVERVIEW_BOTTOM, CT_LABEL)
		TAB_OVERVIEW_BOTTOM_RESSOURCES_LABEL_DEFEND:SetText("x ".. Codex.Settings.SavedVars.RvR_Stats.RESSOURCE.Defended)
		TAB_OVERVIEW_BOTTOM_RESSOURCES_LABEL_DEFEND:SetFont("ZoFontHeader")
		TAB_OVERVIEW_BOTTOM_RESSOURCES_LABEL_DEFEND:SetAnchor(CENTER,  TAB_OVERVIEW_BOTTOM_RESSOURCES_DEFEND, CENTER,35,0)


		local TAB_OVERVIEW_BOTTOM_SCROLLS_DEFEND = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_SCROLLS_DEFEND", TAB_OVERVIEW_BOTTOM, CT_BUTTON)
		TAB_OVERVIEW_BOTTOM_SCROLLS_DEFEND:SetNormalTexture(Textures[GetUnitAlliance('player')].SCROLL)
		TAB_OVERVIEW_BOTTOM_SCROLLS_DEFEND:SetDimensions(64,64)
		TAB_OVERVIEW_BOTTOM_SCROLLS_DEFEND:SetAnchor(LEFT,  TAB_OVERVIEW_BOTTOM_RESSOURCES_DEFEND, LEFT,110,0)
		TAB_OVERVIEW_BOTTOM_SCROLLS_DEFEND.data = {}
		TAB_OVERVIEW_BOTTOM_SCROLLS_DEFEND.data.tooltipText = Codex.Language:getPhrase("TAB_OVERVIEW_BOTTOM_TOOLTIP_SCROLL_DEFENDED")
		TAB_OVERVIEW_BOTTOM_SCROLLS_DEFEND:SetHandler("OnMouseEnter", function() ZO_Options_OnMouseEnter(TAB_OVERVIEW_BOTTOM_SCROLLS_DEFEND) end)
		TAB_OVERVIEW_BOTTOM_SCROLLS_DEFEND:SetHandler("OnMouseExit", ZO_Options_OnMouseExit)


		local TAB_OVERVIEW_BOTTOM_SCROLLS_LABEL_DEFEND = WINDOW_MANAGER:CreateControl("TAB_OVERVIEW_BOTTOM_SCROLLS_LABEL_DEFEND", TAB_OVERVIEW_BOTTOM, CT_LABEL)
		TAB_OVERVIEW_BOTTOM_SCROLLS_LABEL_DEFEND:SetText("x ".. Codex.Settings.SavedVars.RvR_Stats.SCROLL.Defended)
		TAB_OVERVIEW_BOTTOM_SCROLLS_LABEL_DEFEND:SetFont("ZoFontHeader")
		TAB_OVERVIEW_BOTTOM_SCROLLS_LABEL_DEFEND:SetAnchor(CENTER,  TAB_OVERVIEW_BOTTOM_SCROLLS_DEFEND, CENTER,40,0)


	end

	function Codex.Tabs.Overview:Initialize_SessionUI()
		local isEnable = Codex.Settings.SavedVars.SESSION.UI.Enable
		if isEnable then
			CodexSessionUI:SetHidden(false)
			UTOS_ENABLE_UI:SetText(Codex.Language:getPhrase("TAB_OVERVIEW_SESSION_TurnOFF"))
		else
			CodexSessionUI:SetHidden(true)
			UTOS_ENABLE_UI:SetText(Codex.Language:getPhrase("TAB_OVERVIEW_SESSION_TurnON"))
		end

		CodexSessionUI:SetAnchor( TOPLEFT, GuiRoot, TOPLEFT, Codex.Settings.SavedVars.SESSION.UI.X, Codex.Settings.SavedVars.SESSION.UI.Y );	

		CodexSessionUI_Title:SetText(Codex.Language:getPhrase("TAB_OVERVIEW_SESSION_TITLE"))
		CodexSessionUI_AlliancePoints:SetText(Codex.Language:getPhrase("SESSION_UI_AP", 0, 0))
		CodexSessionUI_Kills:SetText(Codex.Language:getPhrase("SESSION_UI_KILLS", 0))
		CodexSessionUI_Death:SetText(Codex.Language:getPhrase("SESSION_UI_DEATHS", 0))	
	end
	local TimerC = 0

	function Codex.Tabs.Overview:SessionUI(argAction)
		local UI = CodexSessionUI	

		if argAction == "onMoveStop" then
			Codex.Settings.SavedVars.SESSION.UI.X = UI:GetLeft()
			Codex.Settings.SavedVars.SESSION.UI.Y = UI:GetTop()	
		end

		if argAction == "updateText" then
			if Codex.Events.TimerStarted then
				CodexSessionUI_AlliancePoints:SetText(Codex.Language:getPhrase("SESSION_UI_AP", Codex.Session.AlliancePoints, Codex.Session.APH))
				CodexSessionUI_Kills:SetText(Codex.Language:getPhrase("SESSION_UI_KILLS", Codex.Session.PlayerKilled))
				CodexSessionUI_Death:SetText(Codex.Language:getPhrase("SESSION_UI_DEATHS", Codex.Session.PlayerDeath))	
				CodexSessionUI_BG:SetHeight(130)
			else
				CodexSessionUI_AlliancePoints:SetText(Codex.Language:getPhrase("SESSION_UI_AP", Codex.Session.AlliancePoints, Codex.Session.APH))
				CodexSessionUI_Kills:SetText(Codex.Language:getPhrase("SESSION_UI_KILLS", Codex.Session.PlayerKilled))
				CodexSessionUI_Death:SetText(Codex.Language:getPhrase("SESSION_UI_DEATHS", Codex.Session.PlayerDeath))
				CodexSessionUI_Timer:SetText("")	
				CodexSessionUI_BG:SetHeight(100)
			end	
		end
	end	