	Codex.Tabs = {}

	TAB_NONE = "NONE"
	TAB_OVERVIEW = "Overview"
	TAB_KILLS = "Kills"
	TAB_LASTKILLS = "LastKills"

	local ActiveTab = TAB_NONE

	function Codex.Tabs:Initialize()

		self:createMainWindow()

		Codex.Tabs.Overview:Initialize()
		Codex.Tabs.Kills:Initialize()
		-- Codex.Tabs.LastKills:Initialize()
		Codex.Tabs:setActiveTAB(TAB_OVERVIEW)
	end	

	function Codex.Tabs:createMainWindow()
		local GuiRoot = WINDOW_MANAGER:GetControlByName("GuiRoot")
		local width =  GuiRoot:GetWidth() / 2
		local height = GuiRoot:GetHeight() / 1.8

		WINDOW_MANAGER:CreateTopLevelWindow("CodexUI")
		CodexUI:SetHidden(true)
		CodexUI:SetDimensions(width,height)
		CodexUI:SetAnchor(CENTER, GuiRoot, CENTER)
		CodexUI:SetInheritAlpha(true)
		CodexUI:SetMouseEnabled(true)
		CodexUI:SetMovable(true)
		CodexUI:SetHandler("OnMouseWheel",function(self,delta)
				Codex.Tabs:onMouseWheel(delta)
			end)

		-- Initialize Background
		WINDOW_MANAGER:CreateControlFromVirtual("CodexUI_BACKGROUND", CodexUI, "ZO_RightFootPrintBackground")

		-- Create close button
		WINDOW_MANAGER:CreateControlFromVirtual("CodexUI_CLOSEBUTTON", CodexUI, "ZO_CloseButton")
		CodexUI_CLOSEBUTTON:SetAnchor(TOPRIGHT, CodexUI_BACKGROUND, TOPRIGHT, -10, 10)
		CodexUI_CLOSEBUTTON:SetDrawLayer(3)
		CodexUI_CLOSEBUTTON:SetHandler("OnClicked", function()  
				Codex.CommandHandler()
			end)

		-- Create Title
		WINDOW_MANAGER:CreateControlFromVirtual("CodexUI_Title", CodexUI, "ZO_PanelTitle")
		CodexUI_Title:SetDimensions(width, 50)
		CodexUI_Title:SetAnchor(TOPLEFT, CodexUI_BACKGROUND, TOPLEFT, -50, 0)
		CodexUI_TitleLabel:SetText("|cD39958CODEX")
		CodexUI_TitleDivider:SetDimensions(width,4)


		if Codex.Tabs.Overview then
			Codex.Tabs.Overview:createButton( CodexUI_CLOSEBUTTON, -200, -15)
		end

		if Codex.Tabs.Kills then
			Codex.Tabs.Kills:createButton( CodexUI_CLOSEBUTTON, -150, -15)
		end

		if Codex.Tabs.LastKills then
			Codex.Tabs.LastKills:createButton( CodexUI_CLOSEBUTTON, -100, -15)
		end


	end

	function Codex.Tabs:setActiveTAB(argTab)
		if Codex.Tabs.Overview then Codex.Tabs.Overview:setHidden(true) end
		if Codex.Tabs.Kills then Codex.Tabs.Kills:setHidden(true) end
		if Codex.Tabs.LastKills then Codex.Tabs.LastKills:setHidden(true) end

		if Codex.Tabs[argTab] then Codex.Tabs[argTab]:setHidden(false) end
		ActiveTab = argTab
	end

	function Codex.Tabs:onMouseWheel(argDelta)
		if ActiveTab == TAB_KILLS and Codex.Tabs.Kills then
			Codex.Tabs.Kills:onMouseWheel(argDelta)
		end
	end